Charakteristika programu

PSPad - charakteristika programu

Proč používat PSPad ?

· Pracujete se soubory v různých formátech a kódových stránkách ?
· Líbí se vám, barevně zvýrazněna syntaxe v daném souboru ?
· Potřebujete nástroj s jednoduchostí NOTEPADU a vymoženostmi programátorských editorů ?
· Používáte nějaký exotický programovací jazyk a chtěli byste grafické uživatelské rohraní ?

Pokud jste aspoň na jednu otázku odpověděli ANO, je PSpad pro vás to pravé.
Pro první seznámení doporučuji přečíst si v nápovědě příklad tvorby HTML stránky

Co PSPad nabízí ?

· Velmi jednoduchá a intuitivní práce, při prvním spuštění není třeba nic složitě konfigurovat
· Neomezená délka editovaného textu
· Možnost otevření více dokumentů současně
· Záznam maker s možností uložení na disk
· Práce s projekty
· Hledání a nahrazování v souborech
· Zvýraznění syntaxe pro více jak 30 druhů souborů s rozlišením 7 dialektů syntaxe SQL
· Automatické rozpoznání syntaxe podle typu souboru s možností manuální změny
· Pro každý typ definovatelné barvy pro zvýraznění syntaxe, masky souborů a externí programy
· Možnost definice vlastního zvýrazňovače, (pokud máte nějaký exotický typ souboru) a použít až 3 tyto definice současně
· Pro každé prostředí možnost nastavit 5 externích programů + kompilátor
· Definovatelné šablony (např. HTML tagy, skripty, kusy kódy, deklarace atd.). Šablony lze vkládat přes seznam nebo je vyvolávat klávesovými zkratkami. Součástí instalace jsou šablony pro HTML, PHP, JScript, VBScript, MS-Dos Batch, Pascal, Perl, MY-SQL, OtherCad
· Tisk se zvýrazněnou syntaxí s možností náhledu před tiskem a nastavením vzhledu stránky
· Sloupcové, řádkové a normální bloky
· Záložky v textu
· Konverze češtiny mezi Windows 1250, Latin II, Kamenických, ISO 8859-2 s možností automatické detekce.
· Editor si poradí s formátem souborů DOS, MAC, UNIX včetně jejich konverze
· Program si pamatuje historii otevřených souborů a projektů, umí při spuštění otevřít soubory, které byly otevřeny při ukončení, zapamatuje si stav souboru při jeho uzavření a při příštím otevření jej otevře ve stavu, ve kterém jste jej opustili.
· Export do RTF a HTML souboru nebo do schránky se zachováním zvýrazněné syntaxe
· Přímé odeslání souboru na disketu, jako přílohu nebo obsah e-Mailu
· Volitelné zobrazení čísel řádků, podbarvení aktuálního řádku, pravítko
· Převody velikosti písmen (malá, velká, první písmena velká)
· Přeformátování a komprese HTML kódu, změna velikosti písmen pro TAGy, odstranění tagů
· Odstranění prázdných řádků, nadbytečných mezer, přidání textu do řádků
· Odstranění diakritiky z textu
· Otevření souboru, který je předán jako parametr nebo přetažen na plochu programu
· Samostatný EXE bez nutnosti instalace a závislosti na dalších knihovnách, které nejsou součástí systému
· Možnost lokalizace do jiných jazyků (součástí instalace je angličtina)
· Rozšíření kontextové nabídky (pravé tlačítko myši) v průzkumníku o možnost otevření souborů PSPadem, přímé přiřazení TXT souborů, integrace do prohlížečů IE, OPERA. Samozřejmostí je opětovné odstranění přiřazení.


Novinky a historie změn

PSPad - novinky a historie změn

Legenda :
· přidáno
· odebráno
· opraveno

připravuje se:
· porovnávání změn v souborech
· online HTML náhled

známé chyby (o kterých vím, ale zatím se nepodařily odstranit)
· při zalamování a použití skutečných tabulátorů dochází ke "zmizení" kurzoru za okrajem stránky

v3.2.0 28.10.2001
· v seznamu souborů je možno libovolný soubor zobrazit hexadecimálně přes pravé tlačítko myši
· další verze nástrojové lišty. Snad už bude omezeno blikání a podobné nehezké věci.
· pro každý externí program je možno zadat LOG soubor. Pokud je vyplněn, čeká se na dokončení programu a LOG je zobrazen. Pokud není LOG zadán, chová se to jako dosud, čili dokument se v externím programu pouze otevře. Při spouštění externího programu je možno využít všechna makra, související s názvem souboru, která jsou popsána na záložce nastavení kompilátoru.
· doplněna možnost až 3 uživatelských zvýrazňovačů současně + související úpravy v dialogu nastavování syntaxe
· v nápovědě budou postupně zveřejňovány příklady použití kompilátoru. Velmi dobře to lze použít třeba pro provádění SQL příkazů
· SHIFT+pravé tlačítko myši na jménu souborů na liště otevře soubor podruhé a zobrazí v rozděleném okně. Samozřejmě je funkční i CTRL+SHIFT+pravé tlačítko pro alternativní rozdělení okna
· pravým tlačítkem na seznamu souborů je možno přepínat mezi všemi / známými soubory. V základním stavu jsou zobrazeny pouze známé soubory (typ je registrován v některém zvýrazňovači). Program si pamatuje posledni stav.
· v hledání v souborech doplněno zvýraznění hledaného řetězce ve výsledcích
· nové parametry: poprvé soubor otevřít vždy v CP 1250 a možnost vypnutí změny druhu bloku pomoci myši a ALT
· nové parametry: vytváření záložních kopií souborů a zobrazení celé cesty při najetí myši na soubor v projektu
· možnost spustit kompilátor, zobrazit výsledky v LOG okně a po kompilaci spustit zkompilovaný program
· nastavování programu rozděleno na parametry a nastavení zvýrazňovačů.
· při zobrazeném stromu projektu je možno tlačítkem na panelu nástrojů projektu přepínat mezi projektem / seznamem souborů / projektem a seznamem souborů. Samozřejmostí je otevření souboru na dvojklik a přetažení souboru myší do projektu nebo klávesou CTRL+ENTER
· program si bez problému poradí se soubory ve formátu DOS, UNIX, MAC a umožňuje i jejich konverzi (menu formát / Formát souboru). Typ souboru se ukazuje na stavovém řádku.
· program umožňuje editovat i soubory s atributy ReadOnly, System, Hidden. Pouze po otevření takového souboru se nastaví soubor v PSPadu jako ReadOnly. Pokud to vypnete, můžete vesele editovat a ukládat. Soubor pak bude uložen na disk s původními atributy.
· pro každý otevřený soubor si pamatuje jeho stav při uzavření a při otevření jej obnoví.Týká se to i záložek, CP, pozice kurzoru atd. Vše uloženo v souboru PSCache.BIN. Při problémech soubor smazat. Neukládá se při vypnuté volbě ukládat historii (parametry programu)
· uživatelská šablona doplněna o druhý seznam klíčových slov - je možno je barevně odlišit.
· při výběru šablony ze seznamu je vybraná vždy na prvním řádku
· rozšířena šablona pro PHP (zaslal František Bláha)
· přidán uživatelský zvýrazňovač a šablona pro IEC1131 (Petr Vetešník)
· přidán uživatelský zvýrazňovač pro 8051 assembler (Jaromír Rezek)
· doplněna šablona pro FoxPro - přidáno asi 700 klíčových slov (klíčová slova zaslal Milan Kosina)
· zaznam makra rozšířen o příkazy pro práci se schránkou (Copy, Cut, Paste)
· možnost vyvolat seznam záložek a skok na vybranou záložku (tlačítko v panelu hledání, SHIFT+CTRL+B)
· opět předělány Nástrojové lišty
· při rozbalení nabídky záznam makra (malá šipka vpravo) se zobrazí i seznam uložených maker
· doplněna funkce hledání dalšího výskytu slova podle slova na pozici kurzoru (menu hledat, ALT+F3)
· na lištu přidáno tlačítko pro hledání s nahrazováním
· odebrán HEXA prohlížeč z menu Zobrazit
· odebráno tlačítko "Vše" z dialogu hledání a nahrazování. Ukázalo se, že je zbytečně matoucí. Jeho funkci přebírá OK.
· zalomené řádky a pokud se psalo uprostřed slova, ktere přesahovalo šířku stránky, slovo "přeskočilo" na nový řádek, ale kurzor zůstal na konci původního
· opravena chyba, která se projevila při zobrazení čísel řádků, prázdném souboru a zapnutí zalamování řádků
· obsah záložek se aktualizuje při každém otevření menu "jít na záložku"
· při použití uživatelského zvýrazňovače se šablona ukládala vždy do souboru GENERAL.DEF a ne do souboru dle jména zvýrazňovače (pokud již někdo má soubor šablon, přejmenujte jej podle jména vašeho zvýrazňovače)
· uživatelský zvýrazňovač už považuje za čísla i hexadecimální tvar 0F3h
· při nastavené angličtině docházelo k deformaci ikon v nástrojové liště
· program si pamatuje poslední projekt i po spuštění třeba z WinCommanderu
· oprava hledání v souborech ve vnořených adresářích na souborovém systému NTFS. Tlačítkem Storno je možno hledání přerušit.
· oprava ve zvýrazňovači HTML, PAS při přecházení na další/předchozí slovo pomocí CTRL+Right a CTRL+Left
· při otevření souboru z výsledků hledání v souborech je kontrolována pozice kurzoru, aby byla viditelná
· změna dialektu SQL je ve změně syntaxe přístupná vždy (dosud pouze při vybrané SQL syntaxi)
· "Uložit vše" je přístupné pouze v případě, že je změněn projekt nebo některý soubor
· volby pro integraci do Windows Commanderu a Opery nejsou přístupné v případě, že jsou tyto programy spuštěny
· při odstraňování diakritiky a zalomených řádcích byly všechny zalomené řádky převedeny na normální
· oprava chyby při vkládání textu zkopírovaného pomocí řádkového bloku na konec souboru
· klávesová zkratka pro mazání slova byla změněna z CTRL+T na standardní CTRL+Del
· při nahrávání makra a použití příkazů SHIFT+Insert a CTRL+Insert došlo ke zdvojení příkazů práce se schránkou
· oprava při změně velikosti písmen za použití sloupcového bloku

v3.1.0 20.9.2001
· přidána práce s projekty. Doporučuji přečíst kapitolu věnovanou přímo projektům
· přidán záznam makra (menu nástroje a zvláštní panel). Podrobnosti a příklady zde.
· přidáno hledání a nahrazování v souborech. Podrobnosti zde.
· v uživatelském zvýrazňovači doplněn styl komentářů FoxPro
· doplněn dialog pro nastavení tiskárny (hlavní menu a ikona na panelu nástrojů v náhledu)
· v nástroji na vkládání textu doplněna možnost pro vložení textu na konec řádků
· doplněna další klíčová slova do MS-Dos zvýrazňovače
· při otevírání souboru je "Nový dokument" nahrazen otevíraným (pokud není změněn)
· opraveno vybrat vše s nastaveným sloupcovým blokem
· oprava otevírání větších souborů s nastavenou jinou kódovou stránkou než CP 1250
· další opravy při zalamování řádků
· existovaly textové soubory, které PSPad nedokázal otevřít
· ošetření případu, kdy se v historii souborů objevil některý vícekrát
· opraveno automatické zarovnání při vložení nového řádku, pokud předchozí řádek obsahoval tabulátory
· oprava chyby při uložit jako, zapsání jména bez přípony u některých zvýrazňovačů (např.SQL)


Historie do verze 2.2.1

PSPad - historie změn do verze 2.2.1

Legenda :
· přidáno
· odebráno
· opraveno

v2.2.1 10.9.2001
· možnost definice vlastního zvýrazňovače. Je možno jich mít nadefinováno několik a načíst ten, který potřebujete. Podrobnosti viz samostatná kapitola
· do menu Úpravy přidán výběr druhu bloku (doposud pouze přes klávesové zkratky)
· šedá ikona s disketou indikuje soubor beze změn
· přidán zvýrazňovač pro KIX
· upraveno zalamování. Text je zalomen při dosažení konce šířky řádku - nezalamuje se už pouze po mezeře
· při startu se nenačetla definice vlastních filtrů souborů
· opravy při hledání a nahrazování

v2.2.0 03.9.2001
· možnost označit některý soubor jako hlavní. (menu okno, pravé tlačítko nebo Ctrl+M). V externím programu se otevře vždy tento soubor. Více informací v popisu menu. Soubor je indikován červenou tečkou.
· doplněno zapamatování zobrazení všech znaků (konce řádků...)
· možnost zobrazení horního pravítka
· přidána možnost označit dokument jako Read/Only a zabránit nechtěným změnám
· v nastavení přidána možnost použití skutečných tabulátorů, nastavení šířky tabulátoru, nastavení "chytrých" tabulátorů a automatického odsazení po klávese ENTER. Podrobněji v kapitole o parametrech.
· v nastavení přidána možnost neskrývat automaticky lištu se jmény souborů, pokud je otevřen pouze jeden soubor
· přidána šablona s přehledem funkcí pro PERL
· doplněny klávesová zkratky pro zavřít vše SHIFT+CTRL+F4 a uložit vše SHIFT+CTRL+S
· pomocí nástroje "vložit na začátek řádků" lze vložit i číslování a odrážky
· do menu hledat a na pravé tlačítko myši přidána práce se záložkami - vytvoření a skok na záložku
· po stisku SHIFT+TAB se vloží počet mezer, odpovídající nastavené šířce tabulátoru
· program si pamatuje nastaveni stránky pro tisk
· přidán dialog na vkládání datumu a času, ve kterém si můžete nastavit vlastní formát
· funkce jdi na řádek rozšířena o možnost skočit přímo na i pozici znaku
· do nástrojové lišty doplněny ikony pro zavření souboru a zobrazení netisknutelných znaků
· přidán zvýrazňovač pro TeX a LaTeX (díky Slávku Rydvalovi)
· při ukládání souboru jako bylo třeba uvést příponu souboru, nedosadila se sama
· pro jistotu předělána práce se schránkou
· oprava v dialogu hledání. Pokud byla uživatelsky nastavena velikost písma, bylo překryto políčko pro zadávání textu.
· opravy při zalamování a práci v zalomeném textu
· odstraněny některé problémy při práci se skutečnými tabulátory
· při změně velikosti a zalomeném textu ve více otevřených souborech se text správně zalomil pouze v aktivním okně
· při zalomených řádcích se zobrazují v levém okraji správně čísla řádků, upravena i funkce jít na řádek
· nastaveni pozice pravého okraje se nepromítalo do nově otevřených souborů
· HTML panel je přístupný i při editaci XML
· opraveno zobrazování spodního posuvníku při zalomení řádků
· při změně dokumentu se neaktualizovalo Read Only
· políčko pro inkrementální hledání na status baru je žlutou barvou (aby to trklo)

v2.1.9 20.8.2001
· možnost výběru poštovního klienta. Nutno nastavit v parametrech programu, jinak bude odesílání nepřístupné.
· v nastavení programu jde vypnout ukládání historie otevřených souborů. Seznam otevřených souborů se pak při ukončení práce neuloží.
· při hledání s nahrazením zůstává nastaven v poli hledat i nahradit poslední zapsaný text . Dialog hledání doplněn o volbu "Celý text", která prohledá celý dokument, tedy nejenom "Vpřed" nebo "Vzad"
· okno je možno rozdělit horizontálně i vertikálně. Výchozí rozdělení se nastavuje v parametrech. Alternativní rozdělení je CTRL+pravé tlačítko
· přidány šablony se syntaxí pro JavaScript a VisualBasicScript, MySQL a MS-Dos
· zobrazování všech znaků (menu zobrazit) - mezery, konce řádků...
· citování se změnilo na přidání libovolného textu na začátek řádku (menu nástroje / operace s řádky)
· přidán nástroj na odstranění nadbytečných mezer na začátku, konci nebo uvnitř textu. Pracuje s označeným blokem nebo celým textem
· optimalizace vkládání maker (byla velká spotřeba UNDO kroků pro delší makra)
· registrace Windows Commanderu by měla pracovat i se staršími verzemi
· v nastavení přidána možnost nastavit vlastní barvu aktuálního řádku
· při vkládání šablony se mazání kromě mezery zastaví na znacích .()[]{}<>=
· šablonu nešlo vložit pomocí myši
· při ulož vše nezmizely tečky, indikující změnu souboru
· při zalomení se zvýrazněnou syntaxí se nesprávně zabarvily zalomené řádky
· ASCII tabulka respektuje nastavení fontu editoru

v2.1.8 12.8.2001
· upraven dialog pro výběr bezpečných HTML barev (logičtěji uspořádané barvy)
· doplněna možnost zvýraznění aktuálního řádku odlišnou barvou pozadí. Barva se bere podle barvy pravého okraje (menu zobrazit / aktivní řádek)
· kompletně přepsána práce s makry. Nyní je možno kromě konečné pozice kurzoru definovat i kam se vloží označený text. Např. označíme kus textu, použiji makro ahref a kurzor bude stát na zadávání URL adresy a označený text bude vložen jako jméno odkazu. S tím souvisí i upravené šablony, které jsou součástí PSPadu
· na spodní liště se zobrazuje kromě i celkový počet řádek a ASCII hodnota aktuálního znaku (dekadicky i hexa hodnota)
· doplněn dialog pro nastavení stránky pro tisk (menu soubor / nastavení stránky)
· přidána integrace pro Windows Commander a HTML Editor v IE (parametry programu)
· přidána další možnost synchronizovat dvě okna podle čísla řádku
· do nastavování barev zvýrazňovačů doplněny barva plochy, okna a textu podle nastavení Windows. Výchozí se berou barvy podle nastavení Windows
· přidána šablona s příkazy jazyka PHP
· kompresor a dekompresor HTML kódu nechávají obsah tagu <pre> </pre> beze změny
· v šabloně pro MS-Dos BAT doplněno zvýraznění DIR a COPY
· změna písma se promítla pouze do aktivního okna. Nyní se aplikuje na všechny okna a projeví se i v nově otevřených oknech.
· oprava autodetekce kódové stránky při předávání souboru jako parametr a spouštění s "rozdělanou prací"
· při otevření nového souboru přes šipku se otevřely soubory 2
· oprava nástroji pro odstraňování prázdných řádků

v2.1.7 8.8.2001
· setřídění řádků v označeném bloku s možnosti třídění dle definovaného sloupce (menu úpravy / setřídit)
· vypreparování prostého textu z HTML textu a zobrazení v novém TXT souboru (menu nástroje / HTML / odstranit tagy). Aspoň si můžete přečíst, o co v té stránce vlastně jde :-)
· výběr a vkládání barev do HTML pomocí nového dialogu (menu nástroje / HTML / výběr barvy)
· možnost integrovat PSPad jako prohlížeč zdrojů pro IE a Operu (v nastavení programu)
· přidána možnost vypínat jednotlivé panely nástrojů, přidán panel pro HTML (viditelné pouze při HTML zvýrazňovači)
· kompletně předěláno nastavování barev pro zvýrazňovače. Načítají se pouze vyžadované definice. Změny se okamžitě promítají i do otevřeného souboru. Mělo by to opět zrychlit spouštění programu
· přidáno HTML tagy na velká a malá písmena (menu nástroje / HTML)
· přidáno odstranění prázdných řádků (menu nástroje)
· program si pamatuje maximalizaci při ukončení a při příštím spuštění se maximalizuje
· odebrána možnost integrovat na pravé tlačítko pouze pro známe soubory PSPadu
· úpravy v kompresoru a dekompresoru HTML - skripty by už měly zůstat odsazeny jak byly předtím

v2.1.6 5.8.2001
· HTML šablona rozšířena o další tagy
· seznam šablon v okně po Ctrl+Space je setříděn abecedně (nezávisle na pořadí v definičním souboru)
· uživatelsky definované horké klávesy. Každé šabloně je možno přiřadit klávesovou zkratku, kterou se šablona vyvolá. Seznam se objeví v menu nástroje / uživatelské zkratky. Při editování HTML textu pak např. CTRL+Enter vloží <br>, SHIFT+CTRL+Space vloží &nbsp; (pevnou mezeru) atd.
· díky aktualizaci komponenty SynEdit byl přidán zvýrazňovač pro XML, vylepšen export do RTF, dále vylepšena kompatabilita zvýrazňovačů pro InnoSetup, JScript a přidána nová implementace zvýrazňovače pro Perl
· do lišty nástrojů doplněna tlačítka na Redo a Preview
· pomocí šipky vedle tlačítka pro nový dokument si můžete přímo zvolit typ nového dokumentu
· pokud vyberete přímo nový dokument, nedělá se automaticky TXT, ale udělá se typ podle aktivního dokumentu. Pokud tedy stojím na PAS, otevře se "Nový dokument.PAS"
· jméno aktivního dokumentu je podloženo na tlačítku světlejší barvou, takže i při práci v rozděleném okně je na první pohled vidět jméno aktivního dokumentu
· pokud je soubor modifikován, objeví se v liště před jménem souboru malý čtvereček
· v nastavení programu přidán teploměr při ukládání. Na rychlých počítačích problikne, na pomalých bude aspoň vidět, že to něco dělá
· rozšířeno okno pro změnu syntaxe, v nastavování v ComboEditu s výběrem zvýrazňovačů jsou současně zobrazeny všechny, takže už není třeba rolovat
· po volbě načíst znovu, zůstala indikace o tom, že soubor byl změněn
· při vytváření šablony z bloku někdy docházelo k ořezání prvních písmen
· při vložení šablony to neakceptovalo první stisk klávesy
· při volbě vložit ze souboru a následném stornu, následovalo chybové hlášení
· odchyceny další nepřeložené řetězce, které se neprojevily hned po změně jazyka v Nastavení
· většina chyb byla nalezena opravena díky Slávku Rydvalovi, jehož rkEdit najdete na http://atrey.karlin.mff.cuni.cz/~rk/rkEdit.shtml


Nejčastější dotazy

PSPad - nejčastější dotazy

· Chtěl bych úplně skrýt ukazatel pravého okraje
Nastavte si barvu pravého okraje na Window (stejnou jako barva pozadí editoru)

· Nechodí mi nastavení editoru pro Windows Commander
Doporučuji před nastavením Windows Commander ukončit. WC si totiž nastavení načte při startu a pokud máte nastaveno automatické ukládáni nastavení, tak jej při ukončení opět přepíše bez toho, že by se do nastavení podíval a změna, kterou PSPad provedl je ztracena.

· Jak vlastně funguje ta konverze kódových stránek ? Mám soubor v Latin II, chci jej převést do Windows 1250, ale při otevření se chybně zobrazují znaky
Automatická detekce není 100%. Bude zřejmě nutné zvolit ručně Latin II a dát "Otevřít znovu". Zobrazení by mělo být v pořádku. Potom si přepnete kódovou stránku na Windows a dáte "Uložit" nebo "Uložit jako"

· Hrál jsem si se změnou barev a celé jsem to rozvrtal. Co teď ?
Otevřete si soubor PSPad.INI, který se nachází v adresáři, kde je nainstalován PSPad. V tomto souboru smažte sekci jazyka, který chcete vrátit do původního stavu. Např. pro SQL syntaxi vyhledejte [SQL] a smažte vše až po další jméno sekce (text v hranatých závorkách)

· Mám zdroje v dosovském BASICu a chci je vytisknout se zvýrazněnou syntaxí
Otevřít soubor a tisknout. Samozřejmě musí být zapnuto zvýraznění syntaxe. Jak to vidíte na obrazovce, tak se to i vytiskne.

· Píšu manuál a chci uvést fragmenty kódu se zvýrazněnou syntaxí. Pokud text zkopíruji do schránky a vložím do manuálu, zvýraznění syntaxe se ztratí.
Místo volby Zkopírovat použijte na vybraný text Export do schránky. Tato volba zachová zvýraznění syntaxe.

· Chtěl bych si zkopírovat pouze sloupec textu
Držte klávesu ALT a myší si označte požadovaný blok textu nebo stiskněte SHIFT+CTRL+N a text označte šipkami

· Chtěl bych si v internetovém prohlížeči zobrazit zdroj stránky se zvýrazněnou syntaxí
Nahraďte si Notepad.EXE v konfiguraci prohlížeče za PSPad.EXE

· Nenačetla se mi správně čeština. Výchozí text je v Latin II
Pokud je text krátký nebo obsahuje pouze málo znaků s diakritikou, nemusí automatická detekce rozpoznat kódovou stránku textu. V menu "Formát" nastavte kódovou stránku Latin II a soubor znovu otevřete nebo zvolte "Otevřít znovu" v menu "Soubor"

· U FoxPro se chybně zvýrazňuje syntaxe - některá klíčová slova nejsou zvýrazněna
Problém je ve způsobu zápisu zdrojového textu FoxPro. Ten lze totiž psát zkráceně (stačí první 4 znaky). Pro zvýraznění syntaxe je to v některých případech zatím problém.

· Chtěl bych PSPad používat místo Notepadu, dodávaného s Windows
V nabídce Možnosti / Integrace do systému si zvolte otevírání TXT souborů PSPadem. Pokud tuto volbu opětovně zrušíte, soubory TXT se budou opět otevírat v programu NOTEPAD.EXE

· Chtěl bych použít jiná písma jako např. ARIAL apod.
PSPad není RFT editor jako je WORD. Veškerý text prostý, pouze je u na něj aplikováno zvýraznění syntaxe, takže se jeví, jako by byl napsán s různými druhy písma. Pro tyto účely se nejlépe hodí fonty s pevnou šířkou a pouze tyto fonty program nabízí.

· Po otevření souboru není přístupné tlačítko "Uložit"
Jedná se o soubor, který požívá kódování UNICODE. PSPad umí soubor otevřít a zobrazit, ale zatím ne uložit :-(
V tomto případě musíte použít volbu "Uložit jako", můžete jej uložit i pod původním jménem, ale s rizikem, že program, který soubor používá může mít problémy


Informace a kontakty

PSPad - informace a kontakty

O programu

Program je psán v programovacím jazyku Borland Delphi 5
V programu jsou použity následující komponenty:
· SynEdit - komponenty pro zvýraznění syntaxe (http://synedit.sourceforge.net). Komponenty jsem rozšířil o několik funkcí (např. zalamování textu, rozšíření možností uživatelských zvýrazňovačů...)
· knihovna funkcí JCL - Jedi Code Library (http://www.delphi-jedi.org/)
Ostatní funkce a komponenty pochazí z mé vlastní tvorby a většinou vznikly v průběhu vývoje PSPadu
Program je šířen jako freeware (zdarma), takže ať pronásledují hrozné sny každého, kdo by chtěl na jeho šíření vydělávat :-)

O autorovi

jméno:    ing. Jan Fiala
e-mail:   pspad@wo.cz
www:      http:\\pspad.zde.cz  (popř. přímo http:\\fiala.web.wo.cz)

O firmě

adresa:   Prog-Soft s.r.o.
          Na Kovářské stráni 1
          317 03 PLZEŇ

telefon:  019 / 72 43 404
e-mail:   plzen@prog-soft.cz

Zabýváme se vývojem podnikového informačního systému INFOS specializovaného pro firmy se zaměřením na nápojářský průmysl - pivovary, vinařské závody, sodovkárny ale také velkosklady nápojů.
Historie informačního systému sahá až k roku 1990, je to náš původní výtvor, plně odpovídající prostředí české nápojářské firmy.
Z našich zákazníků bych jmenoval z vinařských závodů Znovín, ČVZ Praha, VINIUM Velké Pavlovice z pivovarů např. pivovar Rebel, Samson, Černá Hora, Hostan, Ježek atd. Doufám, že ti, které jsem nejmenoval se nebudou cítit ukřivděni, neboť našich zákazníků je mnohem víc.
Takže pokud někdo podniká v podobné oblasti a hledá cenově dostupný informační systém, stačí zavolat.


Konverze kódových stránek

PSPad - konverze kódových stránek

Otevírání souboru
Pro správné zobrazení a možnost editace souborů v prostředí Windows, je nutno převést zdrojový text do kódové stránky 1250. Takže pokud je nastavena automatická detekce kódové stránky nebo ručně nastavena jiná kódová stránka než Windows 1250, je text při otevření převeden do stránky Windows 1250.

Automatická detekce kódové stránky
Automatická detekce pracuje na principu počítání znaků, které se obvykle používají pouze v určité kódové stránce. "Zvítězí" stránka s největším počtem těchto znaků. Pro detekci se používá vzorek prvních 10000 znaků.
Detekce nemusí být spolehlivá u krátkých textů nebo u programových kódů, kde se úmyslně používají zvláštní znaky. V těchto případech výhodnější nastavit výchozí kódovou stránku ručně. Výhodné je použití volby Otevřít znovu - CTRL+R, pokud se nepodaří dokument otevřít se správným zobrazením diakritiky nebo pokud selže automatická detekce a je třeba soubor otevřít v ručně zvolené kódové stránce.

Ukládání souboru
Při ukládání se děje vše analogicky - pokud je nastavena kódová stránka jiná než Windows 1250 nebo automatická detekce, je text při ukládání převeden do nastavené kódové stránky.

Jak to využít pro konverzi ?
Soubor načteme v např. kódové stránce Latin II, ručně přepneme na kódovou stránku Windows 1250 a zvolíme Uložit nebo Uložit jako. Tím je celá konverze hotova a soubor je nyní uložen ve zvolené kódové stránce.


Šablony

PSPad - šablony

Šablony slouží k urychlení práce. Nejlépe by se to dalo popsat asi jako automatický text v MS Wordu.
Každá šablona se skládá z názvu, popisu a obsahu, který bude vložen na pozici kurzoru. Obsah šablony může obsahovat libovolný počet řádků, při vkládání je zachována struktura odsazení jednotlivých řádků.

Jak vyvolat šablonu :
· Napíšete jméno šablony nebo část jména a po stisku CTRL+Space se vyvolá seznam, ve kterém stojíte na nejbližší podobné položce. Vyberete si požadovanou položku a po potvrzení klávesou ENTER je na místo kurzoru vložen obsah šablony.
· Napíšete celý název šablony, stisknete SHIFT+Space a pokud je šablona nalezena, na místo kurzoru je vložen její obsah.
· Použijete klávesovou zkratku, kterou má šablona přiřazenu (jejich seznam najdete v menu nástroje / klávesové zkratky)

Šablony jsou uloženy v souborech *.DEF v adresáři .\PSPad\Context. Jména souborů jsou uvedena níže a jsou povinná ! Jde o obyčejné textové soubory s velmi jednoduchou strukturou, takže si je můžete snadno upravit podle svého.
Editaci příslušné šablony je možno vyvolat přímo z menu Nástroje / Editace šablon. Pokud šablona neexistuje, bude vytvořena nová.

Formát souboru:
; - komentáře, řádky jsou ignorovány
[jméno_šablony | popis šablony]*horká_klávesa
jméno šablony je v seznamu zobrazeno tučně a určuje i jméno příkazu pro přímé vložení pomocí SHIFT+Space
znak | odděluje jméno od popisu.
řádek je uzavřen v hranatých závorkách [] .
znak * označuje klávesovou zkratku
klávesová zkratka určuje klávesovou zkratku, pomocí které je možno šablonu přímo vložit do textu
klávesová zkratka není povinná
obsah šablony
libovolný text, pouze nesmí začínat znakem [.
znak | určuje pozici kurzoru v editoru po vložení obsahu šablony
znak § (ALT+167) určuje místo, kam se vloží text označený před vyvoláním šablony
obsah šablony může obsahovat libovolný počet řádků.
pro znak | se bere pouze první výskyt
označený text je vložen na každý výskyt znaku §

Příklad šablony:
[zadost | ilustrační příklad možností šablony]*Ctrl+Z
Věc: Žádost o zvýšení platu.
----------------------------------------
Důrazně žádám o zvýšení základního platu na | Kč.
V případě odmítnutí to můžete brát jako žádost o rozvázání pracovního poměru.

Možnosti použití příkladu:
· stiskem CTRL+Space vyvoláme seznam, vybereme řádek a klávesou Enter vložíme do textu
· napíšeme "zadost" a stiskem SHIFT+Space přímo vložíme do textu
· v případě přiřazení horké klávesy stačí stisknout Ctrl+Z

Do editovaného textu budou vloženy 4 řádky a kurzor se zastaví na pozici znaku |, tzn. před Kč, takže zbývá jen doplnit požadovanou částku.

Jména souborů:
· Assembl.def
· Bat.def      (dávkové soubory)
· Basic.def
· CPP.def      (C++)
· CSS.def      (kaskádové styly)
· FoxPro.def
· General.def      (prostý text)
· HTML.def
· INI.def      (INI soubory)
· Java.def
· JScript.def      (JAVA skript)
· VBScript.def      (Visual Basic skript)
· Pascal.def
· Perl.def
· PHP.def
· SQL šablony jsou závislé na dialektu SQL
SQL.def      standard ANSI SQL
Interbase.def
MSSQL.def
MySQL.def
Oracle.def
SyBase.def
Ingres.def
· Python.def
· ISetup.def      (INNO setup)
· XML.def


Ovládání editoru

PSPad - ovládání editoru

Rozdělení okna
Stiskem pravého tlačítka myši na jménu dokumentu se okno rozdělí na dvě části. Jestli bude rozdělení horizontální nebo vertikální, lze určit v parametrech. Alternativní rozdělení se provede držením klávesy CTRL. Více informací v samostatné kapitole.

Hlavní soubor CTRL+M

Automatická kompletace
Vyvolání seznamu CTRL+Space
Přímé vložení šablony SHIFT+Space

Pohyb v textu
Skok na začátek stránky CTRL+PgUp
Skok na konec stránky CTRL+PgDn
Skok na začátek textu CTRL+Home
Skok na konec textu CTRL+End

Označení textu
Označení k začátku stránky SHIFT+CTRL+PgUp
Označení do konce stránky SHIFT+CTRL+PgDn
Označení k začátku textu SHIFT+CTRL+Home
Označení do konce textu SHIFT+CTRL+End
Označení celého textu CTRL+A

Mazání textu
Smazat slovo Ctrl+Delete
Smazat řádek Ctrl+Y
Smazat do konce řádku SHIFT+CTRL+Y

Práce se schránkou
Zkopírování textu do schránky CTRL+C
Vyjmutí textu do schránky CTRL+X
Vložení textu ze schránky CTRL+V

Návrat provedených změn
Změna zpět (undo) ALT+BackSpace nebo Ctrl+Z
Změna vpřed (redo) SHIFT+ALT+BackSpace nebo SHIFT+CTRL+Z

Odsazení bloku
Zvětšit odsazení bloku SHIFT+CTRL+I
Zmenšit odsazení bloku SHIFT+CTRL+U

Záložky v textu
Nastavení záložky v textu SHIFT+CTRL+0..9
Skok na záložku v textu CTRL+0..9

Záložky se zruší opětovným stiskem SHIFT+CTRL+příslušného čísla na řádku se záložkou nebo pokud stojíte na jiném řádku, bude záložka přesunuta na aktuální řádek.
Záložky jsou viditelné pouze v případě, že jsou zobrazeny čísla řádků (ale funkční jsou stále)

Změna režimu bloků
Normální bloky SHIFT+CTRL+N
Řádkové bloky SHIFT+CTRL+L
Sloupcové bloky SHIFT+CTRL+C

Sloupcové bloky lze použít pouze pokud není zapnuto zalamování řádků

Různé
Hledání související závorky SHIFT+CTRL+B


Práce v rozděleném okně

PSPad - dva soubory v rozděleném okně

PSPad od verze 2.1.5 umožňuje rozdělit okno a zobrazit současně 2 různé soubory.

Rozdělení okna
Zobrazení druhého souboru a s tím související rozdělení okna se provede kliknutím pravého tlačítka myši na tlačítku s nevybraným souborem (to, které není stisknuto). Tím dojde k rozdělení okna a zobrazení dvou souborů. V nich lze nezávisle pracovat.

Horizontálně nebo vertikálně ?
Výchozí způsob rozdělení je určen v parametrech programu. Alternativní rozdělení se provede opět pravým tlačítkem myši se stisknutou klávesou CTRL

Synchronizace obsahu oken
Po rozdělení oken se na liště zpřístupní tlačítko se symbolem "rozpojeného řetězu", které najdete na nástrojové liště "spouštění". Po jeho stisku (nebo stisku kláves Ctrl+L) dojde k uzamknutí posuvu v obou oknech. Znamená to, že bude zachována aktuální pozice kurzoru v obou oknech. Při pohybu textu v jednom okně se pohybuje text i v druhém okně.

Druhou možností je synchronizace podle čísla řádku. V tom případě dojde napřed k synchronizaci pozice kurzoru ve druhém okně podle aktuálního okna a pak teprve k uzamknutí posuvu.

Pozor ! Posuv je synchronizován v obou případech podle pozice kurzoru, takže při pohybu textu pomocí posuvníku se neděje nic. Až při kliknutí myši do editoru (nastaví se pozice kurzoru) dojde k synchronizaci.

Stejný soubor v rozděleném okně
Pokud potřebujete mít otevřen v rozděleném okně 2x stejný soubor, držte klávesu SHIFT+pravé tlačítko myši. Pro alternativní rozdělení pak použijte SHIFT+CTRL+pravé tlačítko myši.

Zrušení rozdělení okna
Zrušení rozdělení se provede buď kliknutím pravého tlačítka myši na tlačítko s názvem jednoho ze zobrazených souborů nebo levým tlačítkem myši na libovolném jiném tlačítku.


Uložení rozdělané práce

PSPad - uložení rozdělané práce

Po povolení v parametrech umožňuje PSPad uložení rozdělané práce. Napřed si vymezíme pojmy spouštění bez a s parametrem, což vyplývá ze způsobu používání programu.

Způsob používání programu:
· spustím přímo samotný program a v něm si zvolím otevřít soubor(y) - spouštění bez parametru
· program pouštím buď poklepáním na soubor, který chci otevřít nebo třeba ve Windows Commanderu klávesou F4. V tomto případě jde o spuštění s parametrem (jako parametr je automaticky předán otevíraný soubor)

Ukládání rozdělané práce
Pracuje pouze v režimu spouštění bez parametru. Výhodou je to, že na něčem pracuji, zavřu PSPad a pak jej můžu používat normálně jako náhradu obyčejného NotePadu např. pro prohlížení TXT souborů. Až zase budu chtít pokračovat v práci, spustím samotný program (např. odkazem ve Start menu) a uložené soubory (pokud v této chvíli ještě existují) budou automaticky otevřeny.


Příklad práce na HTML stránce

PSPad - příklad práce na HTML stránce

Tvorba HTML

· Otevřete nový HTML dokument
· Stiskněte CTRL+SPACE, vyberte html (popř. napište html a SHIFT+SPACE), čímž se vytvoří základ stránky.
· Za použití šablon (opět CTRL+SPACE) nebo klávesových zkratek přiřazených k šablonám (viz kapitolu o šablonách) dopište, co je třeba
· Vytvořte, popř. otevřete další podstránky
· Doporučuji využívat klávesových zkratek šablon (CTRL+Enter, SHIFT+CTRL+Space vloží konec stránky a pevnou mezeru, na označený text jdou použít CTRL+B a CTRL+I - tučné písmo a kurzíva). Šablony a klávesové zkratky jsou volně definovatelné. Seznam klávesových zkratek najdete (pokud existují) v menu Nástroje.
· Pokud chcete v HTML prohlížeči otevírat vždy určitou stránku, označte si ji jako hlavní CTRL+M (červená značka). Opětovným Stiskem CTRL+M se označení zruší.

Vkládání skriptů do stránek

Výhodné je editovat skript ve zvláštním souboru s odpovídajícím typem a pak jej teprve vložit do HTML stránky. Máte tak k dispozici zvýraznění syntaxe přímo pro daný skript a šablony odpovídající skriptovacímu jazyku.

Jak efektivně využít schopnosti editoru

· pokud si označíte blok, je možno zvětšovat a zmenšovat jeho odsazení (menu formát) nebo SHIFT+CTRL+U nebo I
· využívejte šablony (CTRL+SPACE)
· všechny operace jsou vratné (Zpět = CTRL+Z) až do 1024 kroků
· bez problémů můžete otevřený soubor načíst znovu z disku CTRL+R
· využívejte záložky. Umožní vám rychlé skoky v editovaném textu
· používejte nabídku na pravém tlačítku myši
· používejte nápovědu. Zkuste občas stisknout F1
· prohlédněte si a vyzkoušejte, co nabízí nabídka nástroje. Často některé funkce ušetří mnoho práce


Projekty

PSPad - projekty

Co je to projekt
Představte si internetovou aplikaci. Ta se skládá z několika stránek, nějaké ty kaskádové styly, skripty atd. Pokud s tím chcete rozumně pracovat, potřebujete nějakou organizaci souborů. Také potřebujete rychlý přístup k těmto souborům. Samozřejmě můžete jednotlivé soubory otevírat a zavírat. Ale lepší je mít je stále po ruce. A k tomu slouží projekt.

Co vám to přinese
· jednodušší práci. Nemusíte otevírat několik dokumentů, otevřete si pouze jeden projekt, přitom jednotlivé soubory mohou být umístěny v libovolném adresáři. Pouze se stanou součástí jednoho projektu.
· související dokumenty jsou přehledně uspořádány do "virtuálních" složek. Virtuální složky nemají nic společného s fyzickým umístěním souborů na disku, slouží pouze pro přehlednější uspořádání souborů v projektu.
· při práci nemusíte mít všechny soubory projektu otevřeny. Soubor otevřete dvojklikem myši na názvu ve stromové struktuře projektu.
· můžete si označit hlavní soubor, který se potom bude spouštět v externím programu, be ohledu na to, který soubor je otevřený.
· zachování stavu projektu při ukončení práce. Prostě jak projekt opustíte, tak jej příště najdete, včetně otevřených souborů apod.

Jak začít pracovat s projekty
Po spuštění programu je vytvořen prázdný projekt. Práce s projektem se aktivuje vložením minimálně jednoho souboru do projektu. Do té doby vás projekt nebude "obtěžovat", stačí jej skrýt a pracujete s programem tak, jak jste byli zvyklí.

Práce s projekty
Vložení nebo odstranění souboru z projektu nemá fyzický vliv na soubor. Nevytváří se nový soubor, soubor se ani nemaže. Pouze se vytvoří nebo zruší odkaz ve struktuře projektu.

Otevření nebo výběr souboru projektu
Soubor otevřete kliknutím myši nebo stiskem klávesy ENTER na jeho název ve struktuře projektu
Pokud je soubor otevřen, provede se pouhé přepnutí na jeho název
V případě, že soubor neexistuje (není nalezen na zadané cestě), otevře se dialogové okno, ve kterém máte možnost jej najít a tak jej opět zařadit do projektu

Vložení souboru do projektu
· přetažením záložky se jménem souboru do složky
· stiskem tlačítka na panelu projektů přidá aktuální soubor
· pravým tlačítkem myši při editaci textu

Aby se dal do projektu vložit soubro, musí být splněny následující podmínky:
1. existence minimálně jedné složky
2. aktivní musí být složka nebo soubor, nikoli projekt

Odstranění souboru z projektu
· stiskem tlačítka na paneku projektu
· pravým tlačítkem myši na názvu souboru v projektovém stromu

Vytvoření složky
Složku lze vytvořit kdykoliv z tlačítkem na liště projektu nebo pravým tlačítkem myši. Podmínkou je jedinečnost názvy složky v rámci projektu. Složek může být libovolný počet.

Odstranění složky
Složku lze odstranit pouze v případě, že je prázdná. Opět lze použít tlačítko na liště nebo pravé tlačítko myši.

Přejmenování projektu nebo složky
Přejmenování se provádí přímo ve stromové struktuře projektu.
Pro přejmenování lze použít klávesu F2, kliknutí na jménu nebo pravé tlačítko myši.
Tímto způsobem nelze přejmenovávat vložené soubory. Pro přejmenování souboru je nutno použít možnost "Uložit jako"

Manipulace se soubory v projektu
Soubory je možno uspřádat do jednotlivých složek pouhým přetažením myši podle následujících pravidel:
· při "upuštění" souboru na jméno složky se zařadí jako poslední soubor ve složce
· při "upuštění" souboru na jiný soubor se vloží před něj

Zavření projektu
se provede volbou Nový projekt. A jak by řekl český klasik, projekt, který neobsahuje aspoň jeden soubor vlastně ani není projekt.

Seznam souborů
Na žádost uživatelů byla od verze 3.1.8 do PSPadu doplněna možnost přímo zobrazit seznam souborů na disku (s možností procházení). Přepínání mezi projektem a seznamem souborů se děje pomocí tlačítka na panelu nástrojů projektu. Samozřejmostí je otevření souboru na dvojklik myši (popř. ENTER) a přidání souboru do projektu přetažením myší nebo klávesou CTRL+ENTER.
Názvy souborů, které neumí PSPad přímo zpracovat (nejsou přiřazeny žádnému zvýrazňovači), jsou zobrazeny pro lepší orientaci jinou barvou.
Kliknutím pravého tlačítka myši na seznamu souborů je možno přepínat mezi seznamem známých a všech souborů. Za známý je soubor považován v případě, že jeho typ je zaregistrován v některém zvýrazňovači.
Program si samozřejmě pamatuje poslední stav.

Velká a malá změna projektu
Určují stupeň změny projektu a také zobrazení dotazů na uložení projektu.
Velká změna znamená změnu obsahu projektu (přidání / odebrání souboru, přejmenování projektu...)
Malou změnou se rozumí změna vzhledu projektu.
Pokud dojde k velké změně, bude uživatel při zavření projektu dotázán, zda chce změny uložit. Při malé změně jsou změny uloženy automaticky bez dotazu.

Jak je projekt uložen
Jde o obyčejný textový soubor se strukturou INI souboru systému Windows. Typ souboru je .PPR (PSPad project)
Při spuštění programu je tato přípona zaregistrována v systému Windows. Při odinstalaci programu je registrace odstraněna.
Registrace projektu vám umožní otevřít projekt přímo kliknutím na soubor.

Jednotlivé soubory jsou uloženy relativně k poloze projektu. To znamená, že pokud zkopírujete projekt včetně souborů, které obsahuje do jiného adresáře nebo na jiný počítač, stále budete schopni jej otevřít a pracovat s ním.


Makra

PSPad - makra

Co je to makro
Makro je posloupnost příkazů editoru. Tuto posloupnost lze zaznamenat a následně opakovaně přehrávat. Tím lze zjednodušit opakované operace (příklady použití jsou uvedeny níže)

Jak to pracuje
Stisknutím tlačítka záznam (CTRL+F5) se začínají všechny operace s textem v editoru zaznamenávat.
Po ukončení záznamu (ALT+F5) se záznam ukončí a makro je připraveno k použití.
Nyní je možno makro opakovaně spouštět (F5)
Vytvořená makra je možno ukládat a načítat z disku. Ukládají se s příponou .PMR (PSPad macro record)

Omezení
Do makra se nezaznamenávají akce, provedené pomocí myši. Označování bloku dělejte pomocí SHIFT+šipky
Makro nepracuje s příkazy pro hledání a nahrazení textu
Délka makra je omezena pouze dostupnou pamětí počítače. Vzhledem k tomu, že jeden záznam tvoří pouze kód příkazu a znak je velikost téměř neomezená.

Příklady použití

Příklad1:
Měl jsem text ve tvaru:
21: if KeyComp('del') then Result := tkKey else
21: if KeyComp('start') then Result := tkKey else
90: if KeyComp('findstr') then Result := tkKey else
Potřeboval jsem smazat vždy pro určitý počet řádků první tři znaky a vložit jednu mezeru. V tomto případě nelze použít hledání s nahrazením, protože text není stejný. Samozřejmě, že by to šlo přes sloupcový blok odmazat, potom si jako sloupcový blok označit první sloupec mezer a přes hledat a nahradit jednu mezeru nahradit dvěmi. Ale je to spousta práce s myší, přepínání bloků, protože upravený text potřebuji následně umístit do jiného souboru.To je přesně ta správná práce pro MAKRO. Postup záznamu:
· postavím se na řádek a spustím záznam
· HOME, 3x delete, 1x mezerník
· šipka dolů
· ukončit záznam
Nyní stačí opakovaně mačkat F5 a řádky jsou upraveny

Příklad2:
Potřebuji vytvořit následující řádky
fIdentFuncTable[72] := Func72;
fIdentFuncTable[73] := Func73;
fIdentFuncTable[74] := Func74;
Mohl bych si je kopírovat a přepisovat čísla. Můžu ale využít MAKRO:
· na řádky si zapíšu 2x za sebou požadované číslo (7272, 7373 atd.)
· postavím se na řádek a zapnu záznam
· HOME a napíšu text: fIdentFuncTable[
· 2x šipka doprava
· napíšu text: ] := Func
· 2x šipka doprava
· dopíšu středník a šipka dolů
· ukončím záznam
Mačkám F5 a před očima se mi objevují požadované řádky. Řádků bylo moc a takhle to byla otázka chvilky bez zbytečného najíždění a přepisování čísel na dvou místech v kopírovaných řádcích


Hledání v souborech

PSPad - hledání v souborech

PSPad umožňuje kromě klasického hledání v otevřeném dokumentu i hledání a nahrazení textu hromadně ve specifikovaných souborech.

Parametry hledání

Rozsah hledání
· v souborech projektu - hledání se týká všech souborů projektu
· v otevřených souborech - hledání se týká pouze otevřených souborů, bez ohledu na zařazení v projektu
· v zadaném adresáři
prohledávaný adresář (lze využít výběr adresáře)
seznam typů souborů (jednotlivé typy jsou oddělené středníkem)
prohledávání podadresářů v zadané cestě

Hledaný text
· hledaný text - text který bude vyhledáván v souborech
· nahradit textem - pokud není zaškrtnuto, bude se pouze vyhledávat. Z bezpečnostních důvodů je při každém zobrazení formuláře zrušeno.
· nahradit textem - všechny výskyty hledaného textu budou nahrazeny zadaným textem
· hledat pouze celá slova - pokud zadáte k hledání řetězec Objekt, nebudou vyhledány a nahrazeny výrazy jako Objekty, MyObjekt apod.
· rozlišovat velikost písmen - určuje, zda velikost písmen hraje roli při hledání

Jak to pracuje
Po specifikaci parametrů je vytvořen seznam souborů a ty jsou následně prohledávány na výskyt řetězce. Pokud nemáte zvoleno nahrazování textu, obsah souboru se nemění. V opačném případě je provedeno nahrazení všech výskytů hledaného textu.
Hledání je kdykoliv možno přerušit klávesou Storno.

Výsledky hledání
Po prohledání souborů a nalezení minimálně jednoho výskytu je zobrazena karta výsledků hledání.
Ta obsahuje seznam souborů, ve kterých byl řetězec nalezen. Po kliknutí na jméno souboru dojde k rozbalení a zobrazení řádků, na kterých byl hledaný text nalezen.
Po dvojkliku na řádek dojde k otevření, popř. k přepnutí do souboru a nastavení kurzoru na odpovídající řádek. Výsledky hledání jsou kdykoliv přístupné, mažou se při ukončení programu nebo při zahájení nového hledání

Na co si dát pozor
· nahrazování proběhne po úvodním dotazu bez jakýchkoliv dalších dotazů a budou nahrazeny všechny nalezené výskyty hledaného řetězce ve všech souborech
· hledání je prováděno pouze v souborech na disku, takže je vhodné před spuštěním hledání uložit provedené změny v otevřených souborech, pokud spadají do rozsahu hledání
· Důkladně si rozmyslete, kde a co chcete nahrazovat. Pokud necháte masku souborů na *.*, dojde k nahrazení ve všech souborech, tzn. i v programech (.EXE, .DLL apod.), takže skoro jistě přestanou pracovat. Doporučuji napřed provést hledání bez nahrazení, podívat se, kde se výsky nalezl a pak jako druhý krok provést nahrazení.


Struktura adresářů a souborů

PSPad - struktura adresářů, popis souborů

Umístění souborů a podadresářů je vztaženo k umístění spustitelného souboru PSPad.EXE. Některé adresáře a soubory vzniknou hned po instalaci, některé se vytvářejí v průběhu práce s programem PSPad.
Editor PSPad není třeba instalovat, k práci stačí samotný PSPad.EXE.

Struktura adresáře s instalací editoru PSPad

PSPad.exe
spustitelný soubor s vlastním programem PSPad. K práci s programem stačí tento soubor.
PSPad.chm
nápověda k programu ve formátu kompilovaného HTML
PSPad_LS.exe
utilitka pro jednoduchou změnu jazyka
PSPad.ini
soubor, obsahující nastavení programu. Po smazání jste ve stavu po instalaci programu. Naopak zálohou tohoto programu uchováte jeho kompletní konfiguraci.
Licence.txt
licenční ujednání
PSCache.bin
zde je uchováván stav jednotlivých souborů pro příští otevření (lze kdykoliv smazat)
Context
adresář obsahuje šablony pro jednotlivé typy prostředí. Při otevření určitého typu souboru dojde k automatickému načtení šablony s odpovídajícím názvem (pokud soubor existuje). Jedná se o jednoduché textové soubory
BAT.def
HTML.def
:
VBScript.def
Lang
adresář obsahuje jazykové lokalizace programu v textových souborech
Cesky.ini
English.ini
Syntax
adresář obsahuje nastavení uživatelských zvýrazňovačů
OtherCAD.ini
Macro
do tohoto adresáře se ukládají a odsud se načítají nahraná makra (přípona .PMR)

Soubory projektů programu PSPad používají rozšíření .PPR.


Kompilátor - příklady

PSPad - příklady nastavení kompilátoru

O nastavení kompilátoru pojednává kapitola v nastavení zvýrazňovačů
Zde se dočtete o využití kompilátoru pro různá prostředí, příklady nastavení apod.
Z názvu kompilátor by se mohlo zdát, že použití je pouze pro kompilaci zdrojového kódu. Možná je název trochu zavádějící. Použití je všude tam, kde potřebujete soubor spustit v externím programu a zobrazit informace o průběhu, které externí program poskytuje.

Kromě řádkových kompilátorů pro různá exotická prostředí, různé kompilátory skriptů je vhodné využití třeba pro spouštění SQL skriptů.

Příklady nastavení

Zeleně označený text nahraďte skutečnými hodnotami

Latex

kompilátor:  disk:\cesta\cslatex.bat
parametry:   "%Dir%%Name%.tex"
LOG soubor:  "%Dir%%Name%.log"
po kompilaci: "disk:\cesta\windvi" "%Dir%%Name%.dvi"

Obsah CSLatex.BAT:
@echo off
kpsewhich cslatex.fmt > nul
if errorlevel 1 goto genformat
if errorlevel 0 goto okay
:genformat
fmtutil --byfmt cslatex
:okay
latex -translate-file=cp1250cs %1 %2 %3 %4 %5 %6 %7 %8 %9

MS-SQL

kompilátor: disk:\cesta\osql
parametry: -Sserver_name -Ulogin_name -Ppassword -ddatabase_name -n -w1000 -i"%File%" -o"%Dir%%Name%.log"
LOG soubor: "%Dir%%Name%.log"


Menu soubor

PSPad - popis menu - soubor

Nový soubor CTRL+N
Typ nového dokumentu záleží na typu aktivního otevřeného dokumentu. Pokud tedy mám otevřený PAS, po vyvolání se otevře Nový dokument.PAS

Otevřít soubor CTRL+O

Zavřít soubor CTRL+F4

Projekty
Zde je obdoba otevření souboru, ale otevítá se celý projekt. Při otevření projektu dojde také k otevření souborů, které byly otevřeny při jeho předchozím opuštění.
Nový
Otevřít
Uložit

Otevřít znovu CTRL+R
Otevře znovu aktuální soubor. Použitelné např. při nechtěném vymazání nebo při změně kódových stránek.

Otevřít v programu
Nabídka externích programů, ve kterých lze soubor otevřít. Programy se definují v nastavení programu

Zkompilovat
Touto volba je přístupná v případě, že je nastaven kompilátor (nastavení se provádí v nastavení zvýrazňovačů)

Dříve otevřené
Nabídka dříve otevřených souborů

Zavřít vše SHIFT+CTRL+F4
Zavře všechny otevřené soubory. Pokud byl soubor změněn, zeptá se, zda uložit.

Uložit CTRL+S

Uložit jako
Uloží soubor pod novým jménem

Uložit vše SHIFT+CTRL+S
Uloží změny ve všech souborech. Pokud jde o nový soubor, zeptá se na jméno a cestu

Odeslat
Na disketu
Jako obsah e-Mailu
Jako přílohu e-Mailu

Exportovat
Exportuje soubor do formátu RTF nebo HTML se zachováním zvýraznění syntaxe
Export do schránky jako HTML
Export do schránky jako RTF
Exportuje soubor nebo vybraný blok do schránky ve formátu RTF nebo HTML se zachováním zvýraznění syntaxe

Tisk CTRL+P

Náhled před tiskem ALT+P

Nastavení stránky
Umožňuje nastavit okraje pro tisk

Nastavení tiskárny
Nastavení vlastnosti tisku - formát papíru apod.

Konec ALT+F4


Menu úpravy

PSPad - popis menu - úpravy

Zpět CTRL+Z
Vrátí poslední provedenou operaci. Program si pamatuje pro každý soubor 1024 změn.

Odvolat zpět SHIFT+CTRL+Z
Odvolá vrácení poslední operace.

Vyjmout CTRL+X

Kopírovat CTRL+C

Vložit CTRL+V

Odstranit Del

Vybrat vše CTRL+A
Tato bolba také nastaví druh bloku na normální

Vložit speciál
Identifikátor GUID
Na pozici kurzoru vloží jedinečný identifikátor GUID. GUID (Global Unique IDentificator) je celosvětově jedinečný řetězec, který je vygenerován mimo jiné i z jedinečného interního čísla síťové karty (pokud je v počítači). Používá se tam, kde chete mít skutečně jistotu jedinečnosti.

Vložit datum a čas ALT+D
Na pozici kurzoru vloží datum a čas ve formátu, zvoleném při posledním použití Datum/čas dialogu

Datum/čas dialog
Otevře dialog, který kromě výběru formátu datumu a času, který bude vložen do textu umožní formáty upravovat. Poslední použitý formát bude použit při rychlém vložení při Vložit datum a čas (ALT+D)

Vložit ze souboru
Na pozici kurzoru vloží obsah vybraného souboru

Setřídit
Třídění řádků vzestupně nebo sestupně. Je možno definovat sloupec, podle kterého třídění proběhne

Volba bloku
Určuje jakým způsobem se bude označovat text při výběru pomocí kurzorových kláves (kombinace kláves pro pohyb v textu se stisknutou klávesou SHIFT).
Nevztahuje se na výběr pomocí myši, kdy se automaticky přepíná normální blok a sloupcový blok, při označování myši se stisknutou klávesou ALT. Automatické přepínání lze vypnout v parametrech programu.
Sloupcový blok není přístupný při zalomení řádků !
Styl bloku je nastaven na normální, pokud se použije volba Vybrat vše (CTRL+A)

Normální SHIFT+CTRL+N
Obyčejný druh označování textu. Je možno na začátku a konci bloku vybrat část řádku, uprostřed bloku vždy celé řádky.

Sloupcový SHIFT+CTRL+C
Umožňuje označit sloupec textu. S tímto sloupcem pak pracuje i hledání a nahrazení. Jednoduše tak můžete vybrat sloupec proměnných a překopírovat jej někam jinam.

Řádkový SHIFT+CTRL+L
Při označování bloku se vybírají vždy celé řádky


Menu hledat

PSPad - popis menu - hledat

Najít CTRL+F

Hledat aktuální slovo ALT+F3
Provede okamžité vyhledání dalšího výskytu slova, na kterém stojí kurzor

Najít další F3

Najít předchozí SHIFT+F3

Nahradit CTRL+H

Inkrementální hledání CTRL+E
Umožní okamžité hledání při psaní hledaného výrazu. Na stavovém řádku se po vyvolání objeví editační políčko, kam je možno psát hledaný text. Při psaní editor okamžitě reaguje a vyhledává první výskyt hledaného řetězce. Hledání probíhá od aktuální pozice kurzoru směrem ke konci textu.

Jdi na řádek ALT+G

Hledání v souborech
Umožní hledání a nahrazení řetězce v souborech. Podrobnosti v samostatné kapitole

Vytvořit záložku Ctrl+Shift+0..9
Vytvoří v textu záložku. K dispozici je 10 záložek pro každý otevřený soubor

Jít na záložku Ctrl+0..9
Provede skok na vytvořenou záložku. Pro lepší orientaci je v textu záložky uveden kousek řádku, na kterém byla záložka vytvořena.
Tato volba je přístupná v případě, že byla vytvořena minimálně jedna záložka


Menu zobrazit

PSPad - popis menu - zobrazit

Panely nástrojů
zobrazí nebo skryje jednotlivé panely nástrojů
zobrazí nebo skryje všechny panely

Projekt
zobrazí / skryje strom projektu

Aktuální řádek
umožní zvýraznění aktuálního řádku barvou, nastavenou v parametrech programu

Syntaxe
zobrazí nebo skryje zvýraznění syntaxe

Čísla řádků
zobrazí nebo skryje čísla řádků

Zalomení řádků
pokud řádek přesahuje rozměry okna editoru, bude zalomen na další řádek. Pozor ! Při zalomení řádků je znepřístupněna volba sloupcových bloků

Netisknutelné znaky
při zapnutí této volby se zobrazí mezery, konce řádků apod.

Pravítko
zobrazí pravítko, které umožní lepší orientaci v textu (zobrazuje počet znaků)

Pouze pro čtení
umožní "zamknout dokument", takže nejsou možné žádné opravy

Hexadecimálně
přepne zobrazení dokumentu na hexadecimální a zpět. Návrat z hexadecimálního zobrazení je možný též pomocí pravého tlačítka myši na liště s názvy souborů.

Změna syntaxe
změní u otevřeného souboru zvýrazňovač syntaxe. Pokud jde o dosud neuložený soubor, změní se typ souboru


Menu formát

PSPad - popis menu - formát

Písmo
Změna písma a jeho vlastností pro editor

Převod písmen
Na velká písmena CTRL+ALT+U
Na malá písmena CTRL+ALT+L
První písmena velká CTRL+ALT+C
Změní velikost písmen v celém textu nebo označeném bloku. Po volbě první písmena velká budou velká písmena na začátku každého slova.

Zvětšit odsazení SHIFT+CTRL+Right
Zmenšit odsazení SHIFT+CTRL+Left
Zvětší nebo zmenší odsazení vybraného bloku. Aby byla funkce přístupná, je nutno mít označený blok.

Automatická detekce CP
Program se při otevírání souboru pokusí o automatickou detekci kódové stránky

Windows 1250
Latin II
Kamenických
ISO 8895-2
Tyto volby slouží k ručnímu nastavení kódové stránky a dají se využít pro konverzi kódových stránek

Formát souboru
DOS
UNIX
MAC
Různé systémy používají různé typy oddělovačů konců řádků. Pro DOS je to CR+LF, UNIX používá LF, MAC zase pouze CR. Takže od verze 3.1.7 máte možnost na stavovém řádku vidět typ souboru (který zůstane zachován při ukládání) a navíc máte možnost přes toto menu formát změnit a při uložení dojde ke konverzi.


Menu nástroje

PSPad - popis menu - nástroje

Editace šablon
Zobrazí nabídku šablon a po výběru otevře soubor šablon k editaci

Šablona z bloku SHIFT+CTRL+Space
Umožní rychlé vytvoření šablony z označeného textu. Tato šablona je uložena do soubor šablon, příslušejícího k syntaxi otevřeného souboru.

Uživatelské zkratky
Ke každé šabloně je možno přiřadit horkou klávesu, kterou se dá šablona vložit do textu. Zde pak najdete seznam nastavených zkratek. Volba je přístupná pouze v případě, že nějaké klávesové zkratky existují

Makra
Záznam makra CTRL+F5
Tlačítko na nástrojové liště obsahuje po rozbalení menu navíc i seznam uložených maker
Konec záznamu ALT+F5
Přehrát záznam F5
Podrobnosti k práci s makry ve zvláštní kapitole
Načíst makro
Uložit makro

ASCII tabulka ALT+A
Zobrazí ASCII tabulku od znaku 32 (mezerník) po znak 255. Tabulka umožňuje vkládat znaky do editovaného textu a tisk tabulky.

Operace s řádky
Vložit text na začátek řádků ALT+I
Na každý řádek nebo každý řádek označeného bloku bude vložen zadaný text
Odstranit citování
Citováním je myšleno uvození začátku každého řádku znakem >, jak to známe z elektronické pošty. Pomocí těchto nástrojů je možné citování z textu odstranit nebo naopak přidat. Volba je přístupná pouze při označení textu.
Odstranit nadbytečné mezery
Otevře dialog, ve kterém lze zadat, zda se mají odstranit nadbytečné mezery na začátku, na konci řádků nebo v textu. Všechny možnosti je možno kombinovat. Odstranění mezer v textu znamená, že mezi jednotlivými slovy zůstane pouze jedna mezera.
Odstranit prázdné řádky
Z celého textu budou odstraněny všechny prázdné řádky

HTML
Toto menu je přístupné pouze pro zvýrazňovač HTML
Přeformátovat HTML kód
Tento nástroj přeformátuje HTML kód tak, aby byl lépe čitelný. Provede hierarchické odsazení bloků textu, ohrazených tagy. Skripty a komentáře nechává beze změn.
Komprese HTML kódu
Pomocí tohoto nástroje jsou z HTML kódu odstraněny zbytečné mezery, konce řádků apod. Řádky jsou ukončeny přibližně po 200 znacích. Skripty a komentáře jsou ponechány beze změn. Účelem je jednak zmenšením kódu zvýšit rychlost načítání v prohlížeči a jednak také znepřehlednit čtení kódu.
Volba je přístupná pouze pro soubory typu HTML
Tagy na velká písmena
Tagy na malá písmena
Změní velikost písma na velká nebo malá pouze pro HTML tagy
Výběr barvy ALT+C
Otevře dialog pro výběr barvy s možností vložení přímo do textu na dvojklik myši. K dispozici jsou následující palety: bezpečné barvy, 16 barev a stupně šedé.
Odstranit tagy
Tento nástroj "vyzobe" z HTML kódu text a zobrazí jej v novém TXT souboru. Vhodné pro informativní zobrazení obsahu stránky.

Odstranit diakritiku
Z celého textu jsou odstraněna všechna diakritická znaménka.

Editace systémových souborů
Možná znáte program Sysedit, který otevře současně soubory Autoexec, Config, System.INI a Win.INI. Tak tato volba udělá přesně totéž, jsou otevřeny všechny 4 soubory a to se zvýrazněnou syntaxí.
Volba je přístupná pouze v případě, že je povoleno otevírat více souborů současně.

Možnosti
Tato volba slouží k nastavení parametrů programu a také pro vlastní nastavení barev a písma zvýrazňovačů syntaxe. Podrobněji popsáno ve zvláštní kapitole.


Menu okno

PSPad - popis menu - okno

Hlavní soubor CTRL+M
označením souboru jako hlavního způsobí, že v externím programu se bude otevírat tento soubor, bez ohledu, který máme aktivní. Představte si např. editaci HTML stránek, kde hlavní označíme INDEX.HTML a editujeme nějakou podstránku. Po otevření v prohlížeči se zobrazí hlavní stránka.
Zrušení označení se provede opětným stiskem CTRL+M nebo výběrem z menu

Zobrazit/skrýt LOG
LOG je okno, které je na spodní straně obrazovky a obsahuje zprávy kompilátoru o průběhu kompilace. Podrobnější informace o kompilátoru najdete v samostatné kapitole

Další okno CTRL+Tab
Předchozí okno SHIFT+CTRL+Tab
umožňuje pohyb mezi okny pomocí klávesnice

Synchronizovat posuv CTRL+L
tato možnost je přístupná pouze při práci v rozděleném okně. Při aktivaci je uzamknut vzájemný posuv oken - při pohybu v jednom okně je automaticky posouváno druhé okno


Obecné parametry

PSPad - obecné parametry

Umožnit otevření více souborů současně
Zde si určujete, zda se má PSPad chovat jako standardní NOTEPAD, tzn. pro každý soubor otevřít novou instanci programu nebo se má pustit pouze jednou a všechny soubory otevírat v jediné instanci programu.
Pokud je povoleno otevírání více souborů a je otevřeno dva a více souborů, objeví se zvláštní lišta s tlačítky, obsahujícími jména souborů. Pomocí těchto tlačítek pak lze přepínat mezi okny (lze využít i CTRL+Tab nebo SHIFT+CTRL+Tab)

Tisk syntaxe barevně
Zde je výchozí nastavení pro tisk na tiskárně. Pokud zvolíte přímo tisk, je nastavení respektováno. Pokud ale budete tisknout přes prohlížení před tiskem, máte možnost toto nastavení ovlivnit přímo v náhledu.

Historie souborů
Přepínač slouží k zapnutí / vypnutí ukládání historie posledních otevřených souborů.
Pokud je vypnuto, program si pamatuje historii v průběhu práce, ale historie nebude uložena při ukončení práce s programem. Vypnutí této volby způsobí i vyřazení ukládání stavu souboru.

Ulkládat rozdělanou práci
Program si při ukončení zapamatuje naposledy otevřené soubory a při příštím spuštění je automaticky otevře. Bližší informace v samostatné kapitole

Rozdělit okna pod sebe
Program umožňuje rozdělit plochu a zobrazit 2 soubory a to buď vedle sebe nebo pod sebou. Tato volba určuje výchozí rozdělení. Alternativní je se stisknutou klávesou CTLR. Podrobněji v samostatné kapitole.

Skrývat záložky souborů
Zde si určujete, zda má být lišta se jmény souborů zobrazena vždy nebo pouze v případě, kdy je otevřen více než jeden soubor

Vytvářet záložní kopie
Pokud je zatrženo, program před uložením souboru vytvoří záložní kopii s příponou, začínající znakem ~. Pokud se tedu soubor jmenuje MujText.TXT bude vytvořena záložní kopie MujText.~TXT

V projektu celé jméno
V projektu je standardně uvedeno pouze jméno souboru. Při zatržení této volby když najedete myší nad soubor, ukáže se celé jméno souboru včetně cesty

Otevírat vše v CP 1250
Při zapnutí této volby budou všechny soubory otevřeny poprvé v kódové stránce Windows 1250.
Zdůrazňuji poprvé, protože program si pamatuje nastavení všech otevíraných souborů a příště je otevře tak, jak byly zavřeny (včetně nastavení CP). Vyjímkou je vypnutí volby ukládat historii, kdy se zapamatování stavu souborů neprovádí.
Použití je pro uživatele, kteří editují většinou v prostředí Windows a vyjímečně přepínají na jinou kódovou stránku

Vstup za konec řádku
Povoluje umístit kurzor i za posledním znakem na řádku

Automatické odsazení
Při aktivovaném automatickém zarovnávání se kurzor po stisku klávesy ENTER nepřesune na začátek dalšího řádku, ale zarovná se pod začátek prvního slova předchozího řádku - automaticky dodržuje odsazení

Skutečné tabulátory
Za normálních okolností PSPad nahrazuje tabulátory (znak #9) příslušným počtem mezer. Má to své výhody. Text vypadá stejně v jakémkoliv editoru, nemusíte přemýšlet, jestli jsou na začátku mezery nebo tabulátor apod. Nevýhodou je větší počet znaků. Místo jednoho znaku je v souboru několik mezer.
Od této chvíle máte možnost zapnout používání skutečných tabulátorů. V souboru znak #9 zůstane a stiskem klávesy TAB se také vloží.
Chtěl bych upozornit na to, že pokud použijete tuto volbu, bude omezena možnost zvětšení a zmenšení odsazení bloku.

Chytré tabulátory
Pokud za normálních okolností stisknete klávesu TAB, kurzor se posune o pevně daný počet znaků. V případě, že povolíte volbu "chytré" tabulátory, po stisku klávesy TAB se bude kurzor zarovnávat podle slov v předchozím řádku.

Šířka tabulátoru
Určuje počet znaků, reprezentujících tabulátor (velikost "odskočení" textu)

Sloupcový blok s ALT
Pokud je zvoleno, je možno rychle přepínat mezi normálním a sloupcovým blokem při označování textu myší pomocí klávesy ALT. Bez držení ALT normální blok, s přidržením ALT sloupcový blok. Pokud volbu vypnete, přepínání je možné pomocí klávesových zkratek SHIFT+CTRL+N C L nebo menu Úpravy / druh bloku


Barvy

PSPad - nastavení barev

Barva písma
Barva pozadí
Těmito barvami je možno hromadně měnit barvu písma a pozadí ve všech zvýrazňovačích. Pracuje to tak, že po změně barvy se přepíší všechny barvy zvýrazňovačů, které mají barvu písma shodnou s původní barvou.
Např. písmo je černé, změníme jej na zelené. To způsobí změnu písma ve všech atributech všech zvýrazňovačů, které mají barvu písma černou.

Barva aktuálního řádku
Tato barva určuje barvu pozadí aktuálního řádku, pokud je zvoleno jeho zvýrazňování

Pravý okraj - pozice
Určujete pozici svislé čáry - ukazatele pravého okraje, který se zobrazí po zadaném počtu znaků

Barva pravého okraje
Určuje barvu ukazatele pravého okraje. Pokud chcete ukazatel skrýt úplně, nastavte barvu na Window (stejnou jako pozadí editoru)


Integrace do systému

PSPad - integrace do systému

Přímo otevírat TXT soubory
Tato volba způsobí změnu přiřazení programu pro TXT soubory. Standardně je tato možnost nastavena pro NOTEPAD.EXE. Máte možnost přepínat mezi PSPad a Notepad.

Integrovat na pravé tlačítko
Zde máte možnost otevírat soubory, které jsou asociované s jiným programem (HTML, SQL). Určitě by se vám nelíbilo, pokud by se toto přiřazení změnilo přímo na PSPad. Nabízí se lepší možnost - původní přiřazení zůstane, na dvojklik myší nebo Enter se HTML soubor otevře v původním přiřazeném programu. Pokud ale stisknete na souboru pravé tlačítko, objeví se možnost PSPad a po potvrzení se soubor v PSPadu také otevře.

Editor HTML v IE
Nastaví PSPad jako výchozí editor HTML v Internet Exploreru

Prohlížeč HTML v IE (Internet Exploreru)
Prohlížeč HTML v OPERA
V prohlížeči je možno na pravé tlačítko zobrazit zdroj HTML stránky. Pokud zaškrtnete tuto možnost, zdroj se otevře v PSPadu
Vyžaduje Internet Explorer verze 5 a vyšší, OPERA browser 5.10 a vyšší.
V případě prohlížeče OPERA je tato volba přístupná pouze v případě, kdy prohlížeč není spuštěn. jinak totiž není možno nastavení zapsat !

Editor pro Win Commander
Nastaví PSPad jako výchozí editor v manažeru Windows Commander.
Tato volba je přístupná pouze v případě, kdy není Windows Commander spuštěn. Jinak totiž není možno nastavení zapsat !

e-Mail
Nastavení poštovního klienta, kterého bude PSPad používat. Nastavení je nezávislé na nastavení výchozího klienta v systému Windows.


Zvýraznění syntaxe

PSPad - nastavení zvýraznění syntaxe

Program nabízí uživatelské přizpůsobení zvýrazňovačů. Na několika kartách jdou nastavit barvy a vlastnosti písma, filtry pro otevírání souborů, externí programy, ve kterých je možno editovaný soubor otevřít a konečně i nastavení kompilátoru.

Doporučení pro nastavení barev
Při nastavování barvy pozadí a písma doporučuji použít barvy Window a Font. Tím si zajistíte automatickou změnu barev při globální změně vzhledu Windows.

Nastavení je uloženo v souboru PSPad.INI v následujícím formátu:
8 bytů barva písma, 8 bytů barva pozadí, po jednom bytu pak tučné, kurzíva, podtržené.
Barvy písma se skládají :
2 byty číslo palety (mohou být nulové) a po 2 bytech pak složky R,G,B
Pro druh písma pak platí: 0 není vybrán, 1 je vybrán

Nastavení filtrů pro otevírání souborů

Jméno filtru
je zobrazeno v dialogu otevírání a ukládání souborů

Masky souborů
určují přiřazení souborů jednotlivým zvýrazňovačům. Podle těchto masek pak program pozná jaký zvýrazňovač při otevření souboru použít. Pokud přidělíte několika typům zvýrazňovačů stejnou masku, bude použit první výskyt.

Uživatelské zvýrazňovače
Program umožňuje definovat vlastní zvyrazňovače. Pokud tedy vyberete zvýrazňovač, který umožňuje uživatelskou definici, je toto pole zpřístupněno a vy máte možnost jednoduchým výběrem přiřadit nadefinovaný zvýrazňovač.
V tomto případě se jméno filtru a masky přebírají z uživatelského zvýrazňovače. V případě požadavku na změnu je třeba jít do definice vlastního zvýrazňovače a provést změnu tam.


Externí programy

PSPad - externí programy

Pro každý typ souboru je možno přiřadit až 5 externích programů (další jsou ignorovány). Výchozí je program, který je na prvním místě.

Seznam programů
Obsahuje přiřazené programy. K úpravám, přidávání a mazání slouží editační políčka pod seznamem. Při výběru některého řádku je jeho obsah přenesen do políček a je možno jej opravit, mazat, přidat znovu.
Pomocí šipek vedle seznamu je možno měnit pořadí programů v seznamu.
Výchozí program se v editoru spouští klepnutím na ikonu [image] nebo klávesou F9. Ostatní programy přes malou šipku vedle ikony nebo z menu Soubor.

Jméno
pod tímto jménem najdete program v menu
Program
vlastní jméno programu včetně plně kvalifikované cesty a parametrů
LOG soubor
Pokud je vyplněn LOG soubor, provede se spuštění příkazu, počká se na dokončení a pak se dobrazí obsah výsledného souboru v LOG okně. Dokud nebude spouštěný program ukončen, není možno v práci pokračovat. takže použití je pro nějaké řádkové příkazy apod., u kterých chcete vědět, jak dopadl výsledek.
Pokud není LOG vyplněn, provede se příkaz (třeba zoobrazení souboru v prohlížeči) a lze pokračovat v práci.

Proměnné:
pro jméno souboru, popř. specifikaci výsledného souboru se používají proměnné, které jsou při provádění příkazu nahrazeny odpovídajícím obsahem ze jména souboru. Bližší informace a seznam proměnných v kapitole o nastavení kompilátoru

Přidat
Tlačítko je přístupné po vyplnění jména programu a cesty k programu. Vloží vyplněné údaje do seznamu
Smazat
Tlačítko je přístupné v případě, že je v seznamu vybrána položka a slouží k odstranění vybraného řádku ze seznamu
Opravit
Nahradí vybraný řádek v seznamu obsahem editačních políček
Najít program
S výhodou je možno použít toto tlačítko, které pomocí výběru programu vyplní editační políčka

Formát příkazu:
jméno_v_menu,"externí_program" parametry §"LOG_soubor"

Příklad nastavení pro HTML:
Internet Explorer,"c:\program files\Internet Explorer\IExplore.EXE" "%File"
Opera,"c:\program files\opera\opera.exe" "%File"

Příklady z praxe pro práci s MS-SQL:

1. jednoduchá náhrada Query Analyzeru
V textu editoru napíšu SQL dotaz a v LOG souboru se mi vrátí výsledek dotazu (jednotlivé řádky výsledné tabulky). Lze pohodlně psát uložené procedury, vytvářet a rušit tabulky apod. Díky možnosti mít více příkazů si můžu nadefinovat řádky pro jednotlivé SQL servery a spouštět příkazy na určeném serveru.

2. konverze dat
Výsledkem je textový soubor, který na SQL server je posíláme přes BCP.
Takže si v PSPadu si otevřu daný soubor, vidím obsah a spuštěním příkazu jej pomocí BCP odešlu na server, v LOGu vidím výsledek. Pokud se nezadařilo, přepnu se do dalšího okna s typem souboru SQL, napíši příkaz na vymazání obsahu tabulky, přepnu se zpět na zdroj pro BCP, provedu úpravy a odešlu na server znovu. A to vše v PSPadu.


Nastavení kompilátoru

PSPad - nastavení kompilátoru

V některých případech je nutno soubor nejen otevřít v externím programu, ale také spustit externí kompilátor, počkat na dokončení kompilace, zobrazit obsah okna s výsledky kompilace, popř. výsledný soubor spustit.
V programu se kompilátor spouští pomocí ikony [image] nebo klávesovou zkratkou Ctrl+F9

Jaký soubor je předán kompilátoru
Program postupuje v následujícím pořadí:
· hlavní soubor projektu
· hlavní soubor, pokud není použit projekt
· aktivní dokument

Kompilátor
Určuje plně kvalifikovanou cestu k programu kompilátoru. Cesta se nedává do uvozovek, ty jsou doplněny automaticky.

Parametry
Parametry slouží pro nastavení vlastností kompilátoru, předání souboru, nastavení cesty pro výsledný LOG soubor atd.
Přehled parametrů určující předaný soubor je uveden ve spodní části okna

LOG soubor
Do logového souboru jsou kompilátorem ukládány zprávy o průběhu a výsledku kompilace. PSPad umí tento soubor zobrazit v okně na spodní části obrazovky. Pokud je toto políčko vyplněno, soubor bude po kompilaci automaticky zobrazen.
Log soubor lze zobrazit z menu Okno

Spustit po kompilaci
Pokud si chcete prohlédnout výsledek vaší snahy, stačí vyplnit toto políčko. Po dokončení kompilace pak bude výsledný program spuštěn. Příklady jednotlivých nastavení najdete v kapitole o práci s PSPadem

Proměnné:
pro jméno souboru, popř. specifikaci výsledného souboru se používají proměnné, které jsou při provádění příkazu nahrazeny odpovídajícím obsahem ze jména souboru.

%File% nahrazuje jméno souboru včetně cesty
%Dir%  nahrazuje cestu k souboru
%Name% nahrazuje jméno souboru bez cesty a přípony
%Ext%  nahrazuje příponu souboru

Příklad:
Je předán soubor : c:\Dokumenty\HTML\Test.HTM
Obsah jednotlivých proměnných:

%File%  c:\Dokumenty\HTML\Test.HTM
%Dir%   c:\Dokumenty\HTML\
%Name%  Test
%Ext%   .HTM


Vlastní zvýrazňovač

PSPad - vlastní zvýrazňovač

Popis jednotlivých položek dialogu

Jméno
Zde se uvádí jméno typů souborů, pro které je zvýrazňovač určen. Toto jméno se objeví v nabídkách, ve filtru při otevírání souborů, v typu souborů na stavovém řádku atd.

Přípony souborů
Seznam masek, které se uplatní při otevírání souboru a při detekci, který zvýrazňovač se použije. Jednotlivé masky jsou odděleny čárkami

Styl komentářů
Specifikuje jaký druh komentářů je v daném souboru použit. Komentáře lze libovolně kombinovat. Na výběr máte 5 druhů standardních komentářů:

ANSI - komentář začíná znaky (* a končí znaky *)
Pascal - komentář začíná znakem { a končí znakem }
C - komentář začíná znaky /* a končí znaky */
Basic - komentář je uvozen znakem ; a platí do konce řádku
Fox - komentář začíná znakem * (první znak na řádku) nebo znaky && a platí do konce řádku
Speciál - komentář začíná znakem / na začátku řádku nebo za středníkem a platí do konce řádku
Za začátek komentáře jsou dále pokládány znaky //, komentář platí do konce řádku

Řetězce
Slouží k identifikaci řetězců. Na výběr jsou dvě možnosti:

Apostrofy - 'řetězec'
Uvozovky - "řetězec"

Preprocesory
jsou zvláštní řetězce, které slouží pro řízení kompilátoru, větvení programu, podmínečnému překladu apod.

Klíčová slova
Zde je uveden seznam klíčových slov, které se v programu vyskytují.
Podmínky pro klíčová slova:
· každé slovo na zvláštním řádku
· jsou psány velkými písmeny (editor vám to jinak nedovolí)
· obsahují pouze znaky 'A'..'Z' a '_'
· jsou seřazeny podle abecedy (to se stane automaticky při uložení definice zvýrazňovače)

Vyhrazená slova
Mají stejný význam jako klíčová slova. Doplněno od verze 3.1.6. Využívá se, pokud chcete barevně rozlišit dvě skupiny slov. Pojmenování "Klíčová" a "Vyhrazená" slouží pouze k rozlišení seznamů, není v tom skryt žádný další význam. použít to můžete třeba pro definici datových typů apod. Pokud se stejné slovo vyskytuje v obou seznamech, je použito slovo z klíčových slov a s tím souvisí i barva syntaxe

Načíst
Provede načtení definice zvýrazňovače. Program předpokládá uložení definice v podadresáři Syntax. Pokud soubor načtete třeba z diskety, při uložení bude provedena kontrola existence (popř. vytvoření) podadresáře a soubor s definicí bude uložen tam.

Uložit
Provede uložení souboru s definicí do podadresáře Syntax. Jméno souboru je totožné se jménem, uvedeným v políčku Jméno.
V případě, že je zvýrazňovač, se kterým se pracuje aktivní, jsou změny při uložení promítnuty i do všech otevřených souborů, které jej používají.

Jak vytvořit vlastní zvýrazňovač

Definice zvýrazňovače
Vyplnit jméno zvýrazňovače - toto jméno se bude ukazovat v menu
Vyplnit masky souborů. Ty potom poslouží k automatickému přiřazení zvýrazňovače při otevření souboru
Vybrat typ komentářů, který nejlépe odpovídá stylu ve vašem souboru.
Zvolit typ řetězců - řetězec je v apostrofech nebo uvozovkách
Vyplnit seznam klíčových, popř. vyhrazených slov. Ty jsou při uložení setříděny abecedně automaticky, takže si s tím nemusíte dělat starosti.
Pak zvýrazňovač uložíte tlačítkem "Uložit". Od této chvíle bude zvýrazňovač nahrán při startu PSPadu automaticky.

Nastavení barev pro zvýraznění syntaxe
Pokud někomu nevyhovuje standardní nastavení barev, můžete přejít na záložku "Barvy syntaxe" a jednoduchým nastavením barvy písma a pozadí si přebarvíte odpovídající typ. Při nastavování barvy pozadí a písma doporučuji použít barvy Window a Font. Tím si zajistíte automatickou změnu barev při globální změně vzhledu Windows.

Význam některých typů při nastavování barev
· Návěští jsou slova začínající znakem @, obsahující písmena bez diakritiky, pomlčku a podtržítko
· Symboly jsou znaky, které nejsou písmena (matematické znaky, závorky apod.), kromě znaků, použitých v jiných typech (např. komentářích)
· Identifikátory jsou všechny ostatní znaky

Popis struktury definičního souboru:

;komentář, ignorováno
;jméno sekce, povinné
[Settings]
;jméno typu souboru - povinné
Name=OtherCad
;seznam typů souborů - povinná min.jedna položka
FileType=*.prg,*.bpk
;nastavení jednotlivých parametrů. Nepovinné, 1 = Ano, 0 = Ne
ANSIComment=0
PasComment=0
CComment=0
SpecComment=1
BasComment=0
SingleQuote=0
Preprocessors=0
;jméno sekce - povinné
[KeyWords]
;jednotlivá klíčová slova velkými písmeny, seřazená abecedně
ABS=
ACOS=
ATN=
BOOLEAN=
;jméno sekce - povinné
[ReservedWords]
;jednotlivá vyhrazená slova velkými písmeny, seřazená abecedně
BOOLEAN=
INTEGER=
STRING=


.topic 3
Legenda :
přidáno
odebráno
opraveno

připravuje se:
porovnávání změn v souborech
online HTML náhled

známé chyby (o kterých vím, ale zatím se nepodařily odstranit)
při zalamování a použití skutečných tabulátorů dochází ke "zmizení" kurzoru za okrajem stránky

v3.2.0  28.10.2001
v seznamu souborů je možno libovolný soubor zobrazit hexadecimálně přes pravé tlačítko myši
další verze nástrojové lišty. Snad už bude omezeno blikání a podobné nehezké věci.
pro každý externí program je možno zadat LOG soubor. Pokud je vyplněn, čeká se na dokončení programu a LOG je zobrazen. Pokud není LOG zadán, chová se to jako dosud, čili dokument se v externím programu pouze otevře. Při spouštění externího programu je možno využít všechna makra, související s názvem souboru, která jsou popsána na záložce nastavení kompilátoru.
doplněna možnost až 3 uživatelských zvýrazňovačů současně + související úpravy v dialogu nastavování syntaxe
v nápovědě budou postupně zveřejňovány příklady použití kompilátoru. Velmi dobře to lze použít třeba pro provádění SQL příkazů
SHIFT+pravé tlačítko myši na jménu souborů na liště otevře soubor podruhé a zobrazí v rozděleném okně. Samozřejmě je funkční i CTRL+SHIFT+pravé tlačítko pro alternativní rozdělení okna
pravým tlačítkem na seznamu souborů je možno přepínat mezi všemi / známými soubory. V základním stavu jsou zobrazeny pouze známé soubory (typ je registrován v některém zvýrazňovači). Program si pamatuje posledni stav.
v hledání v souborech doplněno zvýraznění hledaného řetězce ve výsledcích
nové parametry: poprvé soubor otevřít vždy v CP 1250 a možnost vypnutí změny druhu bloku pomoci myši a ALT
nové parametry: vytváření záložních kopií souborů a zobrazení celé cesty při najetí myši na soubor v projektu
možnost spustit kompilátor, zobrazit výsledky v LOG okně a po kompilaci spustit zkompilovaný program
nastavování programu rozděleno na parametry a nastavení zvýrazňovačů.
při zobrazeném stromu projektu je možno tlačítkem na panelu nástrojů projektu přepínat mezi projektem / seznamem souborů / projektem a seznamem souborů. Samozřejmostí je otevření souboru na dvojklik a přetažení souboru myší do projektu nebo klávesou CTRL+ENTER
program si bez problému poradí se soubory ve formátu DOS, UNIX, MAC a umožňuje i jejich konverzi (menu formát / Formát souboru). Typ souboru se ukazuje na stavovém řádku.
program umožňuje editovat i soubory s atributy ReadOnly, System, Hidden. Pouze po otevření takového souboru se nastaví soubor v PSPadu jako ReadOnly. Pokud to vypnete, můžete vesele editovat a ukládat. Soubor pak bude uložen na disk s původními atributy.
pro každý otevřený soubor si pamatuje jeho stav při uzavření a při otevření jej obnoví.Týká se to i záložek, CP, pozice kurzoru atd. Vše uloženo v souboru PSCache.BIN. Při problémech soubor smazat. Neukládá se při vypnuté volbě ukládat historii (parametry programu)
uživatelská šablona doplněna o druhý seznam klíčových slov - je možno je barevně odlišit.
při výběru šablony ze seznamu je vybraná vždy na prvním řádku
rozšířena šablona pro PHP (zaslal František Bláha)
přidán uživatelský zvýrazňovač a šablona pro IEC1131 (Petr Vetešník)
přidán uživatelský zvýrazňovač pro 8051 assembler (Jaromír Rezek)
doplněna šablona pro FoxPro - přidáno asi 700 klíčových slov (klíčová slova zaslal Milan Kosina)
zaznam makra rozšířen o příkazy pro práci se schránkou (Copy, Cut, Paste)
možnost vyvolat seznam záložek a skok na vybranou záložku (tlačítko v panelu hledání, SHIFT+CTRL+B)
opět předělány Nástrojové lišty
při rozbalení nabídky záznam makra (malá šipka vpravo) se zobrazí i seznam uložených maker
doplněna funkce hledání dalšího výskytu slova podle slova na pozici kurzoru (menu hledat, ALT+F3)
na lištu přidáno tlačítko pro hledání s nahrazováním
odebrán HEXA prohlížeč z menu Zobrazit
odebráno tlačítko "Vše" z dialogu hledání a nahrazování. Ukázalo se, že je zbytečně matoucí. Jeho funkci přebírá OK.
zalomené řádky a pokud se psalo uprostřed slova, ktere přesahovalo šířku stránky, slovo "přeskočilo" na nový řádek, ale kurzor zůstal na konci původního
opravena chyba, která se projevila při zobrazení čísel řádků, prázdném souboru a zapnutí zalamování řádků
obsah záložek se aktualizuje při každém otevření menu "jít na záložku"
při použití uživatelského zvýrazňovače se šablona ukládala vždy do souboru GENERAL.DEF a ne do souboru dle jména zvýrazňovače (pokud již někdo má soubor šablon, přejmenujte jej podle jména vašeho zvýrazňovače)
uživatelský zvýrazňovač už považuje za čísla i hexadecimální tvar 0F3h
při nastavené angličtině docházelo k deformaci ikon v nástrojové liště
program si pamatuje poslední projekt i po spuštění třeba z WinCommanderu
oprava hledání v souborech ve vnořených adresářích na souborovém systému NTFS. Tlačítkem Storno je možno hledání přerušit.
oprava ve zvýrazňovači HTML, PAS při přecházení na další/předchozí slovo pomocí CTRL+Right a CTRL+Left
při otevření souboru z výsledků hledání v souborech je kontrolována pozice kurzoru, aby byla viditelná
změna dialektu SQL je ve změně syntaxe přístupná vždy (dosud pouze při vybrané SQL syntaxi)
"Uložit vše" je přístupné pouze v případě, že je změněn projekt nebo některý soubor
volby pro integraci do Windows Commanderu a Opery nejsou přístupné v případě, že jsou tyto programy spuštěny
při odstraňování diakritiky a zalomených řádcích byly všechny zalomené řádky převedeny na normální
oprava chyby při vkládání textu zkopírovaného pomocí řádkového bloku na konec souboru
klávesová zkratka pro mazání slova byla změněna z CTRL+T na standardní CTRL+Del
při nahrávání makra a použití příkazů SHIFT+Insert a CTRL+Insert došlo ke zdvojení příkazů práce se schránkou
oprava při změně velikosti písmen za použití sloupcového bloku

v3.1.0  20.9.2001
přidána práce s projekty. Doporučuji přečíst kapitolu věnovanou přímo projektům
přidán záznam makra (menu nástroje a zvláštní panel). Podrobnosti  a příklady zde.
přidáno hledání a nahrazování v souborech. Podrobnosti zde.
v uživatelském zvýrazňovači doplněn styl komentářů FoxPro
doplněn dialog pro nastavení tiskárny (hlavní menu a ikona na panelu nástrojů v náhledu)
v nástroji na vkládání textu doplněna možnost pro vložení textu na konec řádků
doplněna další klíčová slova do MS-Dos zvýrazňovače
při otevírání souboru je "Nový dokument" nahrazen otevíraným (pokud není změněn)
opraveno vybrat vše s nastaveným sloupcovým blokem
oprava otevírání větších souborů s nastavenou jinou kódovou stránkou než CP 1250
další opravy při zalamování řádků
existovaly textové soubory, které PSPad nedokázal otevřít
ošetření případu, kdy se v historii souborů objevil některý vícekrát
opraveno automatické zarovnání při vložení nového řádku, pokud předchozí řádek obsahoval tabulátory
oprava chyby při uložit jako, zapsání jména bez přípony u některých zvýrazňovačů (např.SQL)

.topic 2
Chtěl bych úplně skrýt ukazatel pravého okraje
Nastavte si barvu pravého okraje na Window (stejnou jako barva pozadí editoru)

Nechodí mi nastavení editoru pro Windows Commander
Doporučuji před nastavením Windows Commander ukončit. WC si totiž nastavení načte při startu a pokud máte nastaveno automatické ukládáni nastavení, tak jej při ukončení opět přepíše bez toho, že by se do nastavení podíval a změna, kterou PSPad provedl je ztracena.

Jak vlastně funguje ta konverze kódových stránek ? Mám soubor v Latin II, chci jej převést do Windows 1250, ale při otevření se chybně zobrazují znaky
Automatická detekce není 100%. Bude zřejmě nutné zvolit ručně Latin II a dát "Otevřít znovu". Zobrazení by mělo být v pořádku. Potom si přepnete kódovou stránku na Windows a dáte "Uložit" nebo "Uložit jako"

Hrál jsem si se změnou barev a celé jsem to rozvrtal. Co teď ?
Otevřete si soubor PSPad.INI, který se nachází v adresáři, kde je nainstalován PSPad. V tomto souboru smažte sekci jazyka, který chcete vrátit do původního stavu. Např. pro SQL syntaxi vyhledejte [SQL] a smažte vše až po další jméno sekce (text v hranatých závorkách)

Mám zdroje v dosovském BASICu a chci je vytisknout se zvýrazněnou syntaxí
Otevřít soubor a tisknout. Samozřejmě musí být zapnuto zvýraznění syntaxe. Jak to vidíte na obrazovce, tak se to i vytiskne.

Píšu manuál a chci uvést fragmenty kódu se zvýrazněnou syntaxí. Pokud text zkopíruji do schránky a vložím do manuálu, zvýraznění syntaxe se ztratí.
Místo volby Zkopírovat použijte na vybraný text Export do schránky. Tato volba zachová zvýraznění syntaxe.

Chtěl bych si zkopírovat pouze sloupec textu
Držte klávesu ALT a myší si označte požadovaný blok textu nebo stiskněte SHIFT+CTRL+N a text označte šipkami

Chtěl bych si v internetovém prohlížeči zobrazit zdroj stránky se zvýrazněnou syntaxí
Nahraďte si Notepad.EXE v konfiguraci prohlížeče za PSPad.EXE

Nenačetla se mi správně čeština. Výchozí text je v Latin II
Pokud je text krátký nebo obsahuje pouze málo znaků s diakritikou, nemusí automatická detekce rozpoznat kódovou stránku textu. V menu "Formát" nastavte kódovou stránku Latin II a soubor znovu otevřete nebo zvolte "Otevřít znovu" v menu "Soubor"

U FoxPro se chybně zvýrazňuje syntaxe - některá klíčová slova nejsou zvýrazněna
Problém je ve způsobu zápisu zdrojového textu FoxPro. Ten lze totiž psát zkráceně (stačí první 4 znaky). Pro zvýraznění syntaxe je to v některých případech zatím problém.

Chtěl bych PSPad používat místo Notepadu, dodávaného s Windows
V nabídce Možnosti / Integrace do systému si zvolte otevírání TXT souborů PSPadem. Pokud tuto volbu opětovně zrušíte, soubory TXT se budou opět otevírat v programu NOTEPAD.EXE

Chtěl bych použít jiná písma jako např. ARIAL apod.
PSPad není RFT editor jako je WORD. Veškerý text prostý, pouze je u na něj aplikováno zvýraznění syntaxe, takže se jeví, jako by byl napsán s různými druhy písma. Pro tyto účely se nejlépe hodí fonty s pevnou šířkou a pouze tyto fonty program nabízí.

Po otevření souboru není přístupné tlačítko "Uložit"
Jedná se o soubor, který požívá kódování UNICODE. PSPad umí soubor otevřít a zobrazit, ale zatím ne uložit :-(
V tomto případě musíte použít volbu "Uložit jako", můžete jej uložit i pod původním jménem, ale s rizikem, že program, který soubor používá může mít problémy

.topic 4
Otevírání souboru
Pro správné zobrazení a možnost editace souborů v prostředí Windows, je nutno převést zdrojový text do kódové stránky 1250. Takže pokud je nastavena automatická detekce kódové stránky nebo ručně nastavena jiná kódová stránka než Windows 1250, je text při otevření převeden do stránky Windows 1250.

Automatická detekce kódové stránky
Automatická detekce pracuje na principu počítání znaků, které se obvykle používají pouze v určité kódové stránce. "Zvítězí" stránka s největším počtem těchto znaků. Pro detekci se používá vzorek prvních 10000 znaků.
Detekce nemusí být spolehlivá u krátkých textů nebo u programových kódů, kde se úmyslně používají zvláštní znaky. V těchto případech výhodnější nastavit výchozí kódovou stránku ručně. Výhodné je použití volby Otevřít znovu - CTRL+R, pokud se nepodaří dokument otevřít se správným zobrazením diakritiky nebo pokud selže automatická detekce a je třeba soubor otevřít v ručně zvolené kódové stránce.

Ukládání souboru
Při ukládání se děje vše analogicky - pokud je nastavena kódová stránka jiná než Windows 1250 nebo automatická detekce, je text při ukládání převeden do nastavené kódové stránky.

Jak to využít pro konverzi ?
Soubor načteme v např. kódové stránce Latin II, ručně přepneme na kódovou stránku Windows 1250 a zvolíme Uložit nebo Uložit jako. Tím je celá konverze hotova a soubor je nyní uložen ve zvolené kódové stránce.

.topic 6

Šablony slouží k urychlení práce. Nejlépe by se to dalo popsat asi jako automatický text v MS Wordu.
Každá šablona se skládá z názvu, popisu a obsahu, který bude vložen na pozici kurzoru. Obsah šablony může obsahovat libovolný počet řádků, při vkládání je zachována struktura odsazení jednotlivých řádků.

Jak vyvolat šablonu :
Napíšete jméno šablony nebo část jména a po stisku CTRL+Space se vyvolá seznam, ve kterém stojíte na nejbližší podobné položce. Vyberete si požadovanou položku a po potvrzení klávesou ENTER je na místo kurzoru vložen obsah šablony.
Napíšete celý název šablony, stisknete SHIFT+Space a pokud je šablona nalezena, na místo kurzoru je vložen její obsah.
Použijete klávesovou zkratku, kterou má šablona přiřazenu (jejich seznam najdete v menu nástroje / klávesové zkratky)

Šablony jsou uloženy v souborech *.DEF v adresáři .\PSPad\Context. Jména souborů jsou uvedena níže a jsou povinná ! Jde o obyčejné textové soubory s velmi jednoduchou strukturou, takže si je můžete snadno upravit podle svého.
Editaci příslušné šablony je možno vyvolat přímo z menu Nástroje / Editace šablon. Pokud šablona neexistuje, bude vytvořena nová.

Formát souboru:
; - komentáře, řádky jsou ignorovány
[jméno_šablony | popis šablony]*horká_klávesa
jméno šablony je v seznamu zobrazeno tučně a určuje i jméno příkazu pro přímé vložení pomocí SHIFT+Space
znak | odděluje jméno od popisu.
řádek je uzavřen v hranatých závorkách [] .
znak * označuje klávesovou zkratku
klávesová zkratka určuje klávesovou zkratku, pomocí které je možno šablonu přímo vložit do textu
klávesová zkratka není povinná
obsah šablony
libovolný text, pouze nesmí začínat znakem [.
znak | určuje pozici kurzoru v editoru po vložení obsahu šablony
znak § (ALT+167) určuje místo, kam se vloží text označený před vyvoláním šablony
obsah šablony může obsahovat libovolný počet řádků.
pro znak | se bere pouze první výskyt
označený text je vložen na každý výskyt znaku §

Příklad šablony:
[zadost | ilustrační příklad možností šablony]*Ctrl+Z
Věc: Žádost o zvýšení platu.
----------------------------------------
Důrazně žádám o zvýšení základního platu na | Kč.
V případě odmítnutí to můžete brát jako žádost o rozvázání pracovního poměru.

Možnosti použití příkladu:
stiskem CTRL+Space vyvoláme seznam, vybereme řádek a klávesou Enter vložíme do textu
napíšeme "zadost" a stiskem SHIFT+Space přímo vložíme do textu
v případě přiřazení horké klávesy stačí stisknout Ctrl+Z

Do editovaného textu budou vloženy 4 řádky a kurzor se zastaví na pozici znaku |, tzn. před Kč, takže zbývá jen doplnit požadovanou částku.

Jména souborů:
Assembl.def
Bat.def		(dávkové soubory)
Basic.def
CPP.def		(C++)
CSS.def		(kaskádové styly)
FoxPro.def
General.def		(prostý text)
HTML.def
INI.def		(INI soubory)
Java.def
JScript.def		(JAVA skript)
VBScript.def		(Visual Basic skript)
Pascal.def
Perl.def
PHP.def
SQL šablony jsou závislé na dialektu SQL
SQL.def		standard ANSI SQL
Interbase.def
MSSQL.def
MySQL.def
Oracle.def
SyBase.def
Ingres.def
Python.def
ISetup.def		(INNO setup)
XML.def

.topic 5
Rozdělení okna
Stiskem pravého tlačítka myši na jménu dokumentu se okno rozdělí na dvě části. Jestli bude rozdělení horizontální nebo vertikální, lze určit v parametrech. Alternativní rozdělení se provede držením klávesy CTRL. Více informací v samostatné kapitole.

Hlavní soubor			CTRL+M

Automatická kompletace
Vyvolání seznamu		CTRL+Space
Přímé vložení šablony		SHIFT+Space

Pohyb v textu
Skok na začátek stránky	CTRL+PgUp
Skok na konec stránky		CTRL+PgDn
Skok na začátek textu		CTRL+Home
Skok na konec textu		CTRL+End

Označení textu
Označení k začátku stránky	SHIFT+CTRL+PgUp
Označení do konce stránky	SHIFT+CTRL+PgDn
Označení k začátku textu	SHIFT+CTRL+Home
Označení do konce textu	SHIFT+CTRL+End
Označení celého textu		CTRL+A

Mazání textu
Smazat slovo			Ctrl+Delete
Smazat řádek			Ctrl+Y
Smazat do konce řádku		SHIFT+CTRL+Y

Práce se schránkou
Zkopírování textu do schránky	CTRL+C
Vyjmutí textu do schránky	CTRL+X
Vložení textu ze schránky	CTRL+V

Návrat provedených změn
Změna zpět (undo)		ALT+BackSpace nebo Ctrl+Z
Změna vpřed (redo)		SHIFT+ALT+BackSpace nebo SHIFT+CTRL+Z

Odsazení bloku
Zvětšit odsazení bloku		SHIFT+CTRL+I
Zmenšit odsazení bloku		SHIFT+CTRL+U

Záložky v textu
Nastavení záložky v textu	SHIFT+CTRL+0..9
Skok na záložku v textu		CTRL+0..9

Záložky se zruší opětovným stiskem SHIFT+CTRL+příslušného čísla na řádku se záložkou nebo pokud stojíte na jiném řádku, bude záložka přesunuta na aktuální řádek.
Záložky jsou viditelné pouze v případě, že jsou zobrazeny čísla řádků (ale funkční jsou stále)

Změna režimu bloků
Normální bloky			SHIFT+CTRL+N
Řádkové bloky			SHIFT+CTRL+L
Sloupcové bloky			SHIFT+CTRL+C

Sloupcové bloky lze použít pouze pokud není zapnuto zalamování řádků

Různé
Hledání související závorky	SHIFT+CTRL+B

.topic 7
Co je to projekt
Představte si internetovou aplikaci. Ta se skládá z několika stránek, nějaké ty kaskádové styly, skripty atd. Pokud s tím chcete rozumně pracovat, potřebujete nějakou organizaci souborů. Také potřebujete rychlý přístup k těmto souborům. Samozřejmě můžete jednotlivé soubory otevírat a zavírat. Ale lepší je mít je stále po ruce. A k tomu slouží projekt.

Co vám to přinese
jednodušší práci. Nemusíte otevírat několik dokumentů, otevřete si pouze jeden projekt, přitom jednotlivé soubory mohou být umístěny v libovolném adresáři. Pouze se stanou součástí jednoho projektu.
související dokumenty jsou přehledně uspořádány do "virtuálních" složek. Virtuální složky nemají nic společného s fyzickým umístěním souborů na disku, slouží pouze pro přehlednější uspořádání souborů v projektu.
při práci nemusíte mít všechny soubory projektu otevřeny. Soubor otevřete dvojklikem myši na názvu ve stromové struktuře projektu.
můžete si označit hlavní soubor, který se potom bude spouštět v externím programu, be ohledu na to, který soubor je otevřený.
zachování stavu projektu při ukončení práce. Prostě jak projekt opustíte, tak jej příště najdete, včetně otevřených souborů apod.

Jak začít pracovat s projekty
Po spuštění programu je vytvořen prázdný projekt. Práce s projektem se aktivuje vložením minimálně jednoho souboru do projektu. Do té doby vás projekt nebude "obtěžovat", stačí jej skrýt a pracujete s programem tak, jak jste byli zvyklí.

Práce s projekty
Vložení nebo odstranění souboru z projektu nemá fyzický vliv na soubor. Nevytváří se nový soubor, soubor se ani nemaže. Pouze se vytvoří nebo zruší odkaz ve struktuře projektu.

Otevření nebo výběr souboru projektu
Soubor otevřete kliknutím myši nebo stiskem klávesy ENTER na jeho název  ve struktuře projektu
Pokud je soubor otevřen, provede se pouhé přepnutí na jeho název
V případě, že soubor neexistuje (není nalezen na zadané cestě), otevře se dialogové okno, ve kterém máte možnost jej najít a tak jej opět zařadit do projektu

  Vložení souboru do projektu
přetažením záložky se jménem souboru do složky
stiskem tlačítka na panelu projektů přidá aktuální soubor
pravým tlačítkem myši při editaci textu

Aby se dal do projektu vložit soubro, musí být splněny následující podmínky:
1. existence minimálně jedné složky
2. aktivní musí být složka nebo soubor, nikoli projekt

  Odstranění souboru z projektu
stiskem tlačítka na paneku projektu
pravým tlačítkem myši na názvu souboru v projektovém stromu

  Vytvoření složky
Složku lze vytvořit kdykoliv z tlačítkem na liště projektu nebo pravým tlačítkem myši. Podmínkou je jedinečnost názvy složky v rámci projektu. Složek může být libovolný počet.

  Odstranění složky
Složku lze odstranit pouze v případě, že je prázdná. Opět lze použít tlačítko na liště nebo pravé tlačítko myši.

  Přejmenování projektu nebo složky
Přejmenování se provádí přímo ve stromové struktuře projektu.
Pro přejmenování lze použít klávesu F2, kliknutí na jménu nebo pravé tlačítko myši.
Tímto způsobem nelze přejmenovávat vložené soubory. Pro přejmenování souboru je nutno použít možnost "Uložit jako"

Manipulace se soubory v projektu
Soubory je možno uspřádat do jednotlivých složek pouhým přetažením myši podle následujících pravidel:
při "upuštění" souboru na jméno složky se zařadí jako poslední soubor ve složce
při "upuštění" souboru na jiný soubor se vloží před něj

  Zavření projektu
se provede volbou Nový projekt. A jak by řekl český klasik, projekt, který neobsahuje aspoň jeden soubor vlastně ani není projekt.

Seznam souborů
Na žádost uživatelů byla od verze 3.1.8 do PSPadu doplněna možnost přímo zobrazit seznam souborů na disku (s možností procházení). Přepínání mezi projektem a seznamem souborů se děje pomocí tlačítka na panelu nástrojů projektu. Samozřejmostí je otevření souboru na dvojklik myši (popř. ENTER) a přidání souboru do projektu přetažením myší nebo klávesou CTRL+ENTER.
Názvy souborů, které neumí PSPad přímo zpracovat (nejsou přiřazeny žádnému zvýrazňovači), jsou zobrazeny pro lepší orientaci jinou barvou.
Kliknutím pravého tlačítka myši na seznamu souborů je možno přepínat mezi seznamem známých a všech souborů. Za známý je soubor považován v případě, že jeho typ je zaregistrován v některém zvýrazňovači.
Program si samozřejmě pamatuje poslední stav.

Velká a malá změna projektu
Určují stupeň změny projektu a také zobrazení dotazů na uložení projektu.
Velká změna znamená změnu obsahu projektu (přidání / odebrání souboru, přejmenování projektu...)
Malou změnou se rozumí změna vzhledu projektu.
Pokud dojde k velké změně, bude uživatel při zavření projektu dotázán, zda chce změny uložit. Při malé změně jsou změny uloženy automaticky bez dotazu.

Jak je projekt uložen
Jde o obyčejný textový soubor se strukturou INI souboru systému Windows. Typ souboru je .PPR (PSPad project)
Při spuštění programu je tato přípona zaregistrována v systému Windows. Při odinstalaci programu je registrace odstraněna.
Registrace projektu vám umožní otevřít projekt přímo kliknutím na soubor.

Jednotlivé soubory jsou uloženy relativně k poloze projektu. To znamená, že pokud zkopírujete projekt včetně souborů, které obsahuje do jiného adresáře nebo na jiný počítač, stále budete schopni jej otevřít a pracovat s ním.

.topic 8
Co je to makro
Makro je posloupnost příkazů editoru. Tuto posloupnost lze zaznamenat a následně opakovaně přehrávat. Tím lze zjednodušit opakované operace (příklady použití jsou uvedeny níže)

Jak to pracuje
Stisknutím tlačítka záznam (CTRL+F5) se začínají všechny operace s textem v editoru zaznamenávat.
Po ukončení záznamu (ALT+F5) se záznam ukončí a makro je připraveno k použití.
Nyní je možno makro opakovaně spouštět (F5)
Vytvořená makra je možno ukládat a načítat z disku. Ukládají se s příponou .PMR (PSPad macro record)

Omezení
Do makra se nezaznamenávají akce, provedené pomocí myši. Označování bloku dělejte pomocí SHIFT+šipky
Makro nepracuje s příkazy pro hledání a nahrazení textu
Délka makra je omezena pouze dostupnou pamětí počítače. Vzhledem k tomu, že jeden záznam tvoří pouze kód příkazu a znak je velikost téměř neomezená.

Příklady použití

Příklad1:
Měl jsem text ve tvaru:
21: if KeyComp('del') then Result := tkKey else
21: if KeyComp('start') then Result := tkKey else
90: if KeyComp('findstr') then Result := tkKey else
Potřeboval jsem smazat vždy pro určitý počet řádků první tři znaky a vložit jednu mezeru. V tomto případě nelze použít hledání s nahrazením, protože text není stejný. Samozřejmě, že by to šlo přes sloupcový blok odmazat, potom si jako sloupcový blok označit první sloupec mezer a přes hledat a nahradit jednu mezeru nahradit dvěmi. Ale je to spousta práce s myší, přepínání bloků, protože upravený text potřebuji následně umístit do jiného souboru.To je přesně ta správná práce pro MAKRO. Postup záznamu:
postavím se na řádek a spustím záznam
HOME, 3x delete, 1x mezerník
šipka dolů
ukončit záznam
Nyní stačí opakovaně mačkat F5 a řádky jsou upraveny

Příklad2:
Potřebuji vytvořit následující řádky
fIdentFuncTable[72] := Func72;
fIdentFuncTable[73] := Func73;
fIdentFuncTable[74] := Func74;
Mohl bych si je kopírovat a přepisovat čísla. Můžu ale využít MAKRO:
na řádky si zapíšu 2x za sebou požadované číslo (7272, 7373 atd.)
postavím se na řádek a zapnu záznam
HOME a napíšu text: fIdentFuncTable[
2x šipka doprava
napíšu text: ] := Func
2x šipka doprava
dopíšu středník a šipka dolů
ukončím záznam
Mačkám F5 a před očima se mi objevují požadované řádky. Řádků bylo moc a takhle to byla otázka chvilky bez zbytečného najíždění a přepisování čísel na dvou místech v kopírovaných řádcích

.topic 9
PSPad umožňuje kromě klasického hledání v otevřeném dokumentu i hledání a nahrazení textu hromadně ve specifikovaných souborech.

Parametry hledání

Rozsah hledání
v souborech projektu - hledání se týká všech souborů projektu
v otevřených souborech - hledání se týká pouze otevřených souborů, bez ohledu na zařazení v projektu
v zadaném adresáři
prohledávaný adresář (lze využít výběr adresáře)
seznam typů souborů (jednotlivé typy jsou oddělené středníkem)
prohledávání podadresářů v zadané cestě

Hledaný text
hledaný text - text který bude vyhledáván v souborech
nahradit textem - pokud není zaškrtnuto, bude se pouze vyhledávat. Z bezpečnostních důvodů je při každém zobrazení formuláře zrušeno.
nahradit textem - všechny výskyty hledaného textu budou nahrazeny zadaným textem
hledat pouze celá slova - pokud zadáte k hledání řetězec Objekt, nebudou vyhledány a nahrazeny výrazy jako Objekty, MyObjekt apod.
rozlišovat velikost písmen - určuje, zda velikost písmen hraje roli při hledání

Jak to pracuje
Po specifikaci parametrů je vytvořen seznam souborů a ty jsou následně prohledávány na výskyt řetězce. Pokud nemáte zvoleno nahrazování textu, obsah souboru se nemění. V opačném případě je provedeno nahrazení všech výskytů hledaného textu.
Hledání je kdykoliv možno přerušit klávesou Storno.

Výsledky hledání
Po prohledání souborů a nalezení minimálně jednoho výskytu je zobrazena karta výsledků hledání.
Ta obsahuje seznam souborů, ve kterých byl řetězec nalezen. Po kliknutí na jméno souboru dojde k rozbalení a zobrazení řádků, na kterých byl hledaný text nalezen.
Po dvojkliku na řádek dojde k otevření, popř. k přepnutí do souboru a nastavení kurzoru na odpovídající řádek. Výsledky hledání jsou kdykoliv přístupné, mažou se při ukončení programu nebo při zahájení nového hledání

Na co si dát pozor
nahrazování proběhne po úvodním dotazu bez jakýchkoliv dalších dotazů a budou nahrazeny všechny nalezené výskyty hledaného řetězce ve všech souborech
hledání je prováděno pouze v souborech na disku, takže je vhodné před spuštěním hledání uložit provedené změny v otevřených souborech, pokud spadají do rozsahu hledání
Důkladně si rozmyslete, kde a co chcete nahrazovat. Pokud necháte masku souborů na *.*, dojde k nahrazení ve všech souborech, tzn. i v programech (.EXE, .DLL apod.), takže skoro jistě přestanou pracovat. Doporučuji napřed provést hledání bez nahrazení, podívat se, kde se výsky nalezl a pak jako druhý krok provést nahrazení.

.topic 11
  Nový soubor	CTRL+N
Typ nového dokumentu záleží na typu aktivního otevřeného dokumentu. Pokud tedy mám otevřený PAS, po vyvolání se otevře Nový dokument.PAS

  Otevřít soubor  	CTRL+O

  Zavřít soubor	CTRL+F4

Projekty
Zde je obdoba otevření souboru, ale otevítá se celý projekt. Při otevření projektu dojde také k otevření souborů, které byly otevřeny při jeho předchozím opuštění.
  Nový
  Otevřít
  Uložit

  Otevřít znovu  		CTRL+R
Otevře znovu aktuální soubor. Použitelné např. při nechtěném vymazání nebo při změně kódových stránek.

  Otevřít v programu
Nabídka externích programů, ve kterých lze soubor otevřít. Programy se definují v nastavení programu

  Zkompilovat
Touto volba je přístupná v případě, že je nastaven kompilátor (nastavení se provádí v nastavení zvýrazňovačů)

Dříve otevřené
Nabídka dříve otevřených souborů

Zavřít vše		SHIFT+CTRL+F4
Zavře všechny otevřené soubory. Pokud byl soubor změněn, zeptá se, zda uložit.

  Uložit  			CTRL+S

Uložit jako
Uloží soubor pod novým jménem

  Uložit vše		SHIFT+CTRL+S
Uloží změny ve všech souborech. Pokud jde o nový soubor, zeptá se na jméno a cestu

Odeslat
  Na disketu
  Jako obsah e-Mailu
  Jako přílohu e-Mailu

Exportovat
Exportuje soubor do formátu RTF nebo HTML se zachováním zvýraznění syntaxe
Export do schránky jako HTML
Export do schránky jako RTF
Exportuje soubor nebo vybraný blok do schránky ve formátu RTF nebo HTML se zachováním zvýraznění syntaxe

  Tisk			CTRL+P

  Náhled před tiskem  	ALT+P

Nastavení stránky
Umožňuje nastavit okraje pro tisk

  Nastavení tiskárny
Nastavení vlastnosti tisku - formát papíru apod.

Konec		ALT+F4

.topic 12
  Zpět  			CTRL+Z
Vrátí poslední provedenou operaci. Program si pamatuje pro každý soubor 1024 změn.

  Odvolat zpět		SHIFT+CTRL+Z
Odvolá vrácení poslední operace.

  Vyjmout		CTRL+X

  Kopírovat		CTRL+C

  Vložit			CTRL+V

  Odstranit		Del

Vybrat vše		CTRL+A
Tato bolba také nastaví druh bloku na normální

Vložit speciál
Identifikátor GUID
Na pozici kurzoru vloží jedinečný identifikátor GUID. GUID (Global Unique IDentificator) je celosvětově jedinečný řetězec, který je vygenerován mimo jiné i z jedinečného interního čísla síťové karty (pokud je v počítači). Používá se tam, kde chete mít skutečně jistotu jedinečnosti.

Vložit datum a čas	ALT+D
Na pozici kurzoru  vloží datum a čas ve formátu, zvoleném při posledním použití Datum/čas dialogu

  Datum/čas dialog
Otevře dialog, který kromě výběru formátu datumu a času, který bude vložen do textu umožní formáty upravovat. Poslední použitý formát bude použit při rychlém vložení při Vložit datum a čas (ALT+D)

  Vložit ze souboru
Na pozici kurzoru vloží obsah vybraného souboru

  Setřídit
Třídění řádků vzestupně nebo sestupně. Je možno definovat sloupec, podle kterého třídění proběhne

Volba bloku
Určuje jakým způsobem se bude označovat text při výběru pomocí kurzorových kláves (kombinace kláves pro pohyb v textu se stisknutou klávesou SHIFT).
Nevztahuje se na výběr pomocí myši, kdy se automaticky přepíná normální blok a sloupcový blok, při označování myši se stisknutou klávesou ALT. Automatické přepínání lze vypnout v parametrech programu.
Sloupcový blok není přístupný při zalomení řádků !
Styl bloku je nastaven na normální, pokud se použije volba Vybrat vše (CTRL+A)

Normální		SHIFT+CTRL+N
Obyčejný druh označování textu. Je možno na začátku a konci bloku vybrat část řádku, uprostřed bloku vždy celé řádky.

Sloupcový		SHIFT+CTRL+C
Umožňuje označit sloupec textu. S tímto sloupcem pak pracuje i hledání a nahrazení. Jednoduše tak můžete vybrat sloupec proměnných a překopírovat jej někam jinam.

Řádkový		SHIFT+CTRL+L
Při označování bloku se vybírají vždy celé řádky

.topic 17
  Najít			CTRL+F

Hledat aktuální slovo	ALT+F3
Provede okamžité vyhledání dalšího výskytu slova, na kterém stojí kurzor

Najít další		F3

Najít předchozí	SHIFT+F3

  Nahradit		CTRL+H

Inkrementální hledání CTRL+E
Umožní okamžité hledání při psaní hledaného výrazu. Na stavovém řádku se po vyvolání objeví editační políčko, kam je možno psát hledaný text. Při psaní editor okamžitě reaguje a vyhledává první výskyt hledaného řetězce. Hledání probíhá od aktuální pozice kurzoru směrem ke konci textu.

Jdi na řádek		ALT+G

  Hledání v souborech
Umožní hledání a nahrazení řetězce v souborech. Podrobnosti v samostatné kapitole

Vytvořit záložku	Ctrl+Shift+0..9
Vytvoří v textu záložku. K dispozici je 10 záložek pro každý otevřený soubor

Jít na záložku		Ctrl+0..9
Provede skok na vytvořenou záložku. Pro lepší orientaci je v textu záložky uveden kousek řádku, na kterém byla záložka vytvořena.
Tato volba je přístupná v případě, že byla vytvořena minimálně jedna záložka

.topic 13
Panely nástrojů
zobrazí nebo skryje jednotlivé panely nástrojů
zobrazí nebo skryje všechny panely

  Projekt
zobrazí / skryje strom projektu

Aktuální řádek
umožní zvýraznění aktuálního řádku barvou, nastavenou v parametrech programu

  Syntaxe
zobrazí nebo skryje zvýraznění syntaxe

  Čísla řádků
zobrazí nebo skryje čísla řádků

  Zalomení řádků
pokud řádek přesahuje rozměry okna editoru, bude zalomen na další řádek. Pozor ! Při zalomení řádků je znepřístupněna volba sloupcových bloků

  Netisknutelné znaky
při zapnutí této volby se zobrazí mezery, konce řádků apod.

  Pravítko
zobrazí pravítko, které umožní lepší orientaci v textu (zobrazuje počet znaků)

  Pouze pro čtení
umožní "zamknout dokument", takže nejsou možné žádné opravy

  Hexadecimálně
přepne zobrazení dokumentu na hexadecimální a zpět. Návrat z hexadecimálního zobrazení je možný též pomocí pravého tlačítka myši na liště s názvy souborů.

  Změna syntaxe
změní u otevřeného souboru zvýrazňovač syntaxe. Pokud jde o dosud neuložený soubor, změní se typ souboru

.topic 15
  Písmo
Změna písma a jeho vlastností pro editor

Převod písmen
  Na velká písmena		CTRL+ALT+U
  Na malá písmena		CTRL+ALT+L
  První písmena velká	 	CTRL+ALT+C
Změní velikost písmen v celém textu nebo označeném bloku. Po volbě první písmena velká budou velká písmena na začátku každého slova.

  Zvětšit odsazení		SHIFT+CTRL+Right
  Zmenšit odsazení		SHIFT+CTRL+Left
Zvětší nebo zmenší odsazení vybraného bloku. Aby byla funkce přístupná, je nutno mít označený blok.

Automatická detekce CP
Program se při otevírání souboru pokusí o automatickou detekci kódové stránky

Windows 1250
Latin II
Kamenických
ISO 8895-2
Tyto volby slouží k ručnímu nastavení kódové stránky a dají se využít pro konverzi kódových stránek

Formát souboru
DOS
UNIX
MAC
Různé systémy používají různé typy oddělovačů konců řádků. Pro DOS je to CR+LF, UNIX používá LF, MAC zase pouze CR. Takže od verze 3.1.7 máte možnost na stavovém řádku vidět typ souboru (který zůstane zachován při ukládání) a navíc máte možnost přes toto menu formát změnit a při uložení dojde ke konverzi.

.topic 14
Editace šablon
Zobrazí nabídku šablon a po výběru otevře soubor šablon k editaci

Šablona z bloku	SHIFT+CTRL+Space
Umožní rychlé vytvoření šablony z označeného textu. Tato šablona je uložena do soubor šablon, příslušejícího k syntaxi otevřeného souboru.

Uživatelské zkratky
Ke každé šabloně je možno přiřadit horkou klávesu, kterou se dá šablona vložit do textu. Zde pak najdete seznam nastavených zkratek. Volba je přístupná pouze v případě, že nějaké klávesové zkratky existují

Makra
  Záznam makra			CTRL+F5
Tlačítko na nástrojové liště obsahuje po rozbalení menu navíc i seznam uložených maker
  Konec záznamu			ALT+F5
  Přehrát záznam			F5
Podrobnosti k práci s makry ve zvláštní kapitole
Načíst makro
Uložit makro

ASCII tabulka				ALT+A
Zobrazí ASCII tabulku od znaku 32 (mezerník) po znak 255. Tabulka umožňuje vkládat znaky do editovaného textu a tisk tabulky.

Operace s řádky
Vložit text na začátek řádků		ALT+I
Na každý řádek nebo každý řádek označeného bloku bude vložen zadaný text
Odstranit citování
Citováním je myšleno uvození začátku každého řádku znakem >, jak to známe z elektronické pošty. Pomocí těchto nástrojů je možné citování z textu odstranit nebo naopak přidat. Volba je přístupná pouze při označení textu.
Odstranit nadbytečné mezery
Otevře dialog, ve kterém lze zadat, zda se mají odstranit nadbytečné mezery na začátku, na konci řádků nebo v textu. Všechny možnosti je možno kombinovat. Odstranění mezer v textu znamená, že mezi jednotlivými slovy zůstane pouze jedna mezera.
Odstranit prázdné řádky
Z celého textu budou odstraněny všechny prázdné řádky

HTML
Toto menu je přístupné pouze pro zvýrazňovač HTML
  Přeformátovat HTML kód
Tento nástroj přeformátuje HTML kód tak, aby byl lépe čitelný. Provede hierarchické odsazení bloků textu, ohrazených tagy. Skripty a komentáře nechává beze změn.
  Komprese HTML kódu
Pomocí tohoto nástroje jsou z HTML kódu odstraněny zbytečné mezery, konce řádků apod. Řádky jsou ukončeny přibližně po 200 znacích. Skripty a komentáře jsou ponechány beze změn. Účelem je jednak zmenšením kódu zvýšit rychlost načítání v prohlížeči a jednak také znepřehlednit čtení kódu.
Volba je přístupná pouze pro soubory typu HTML
  Tagy na velká písmena
  Tagy na malá písmena
Změní velikost písma na velká nebo malá pouze pro HTML tagy
  Výběr barvy			ALT+C
Otevře dialog pro výběr barvy s možností vložení přímo do textu na dvojklik myši. K dispozici jsou následující palety: bezpečné barvy, 16 barev a stupně šedé.
  Odstranit tagy
Tento nástroj "vyzobe" z HTML kódu text a zobrazí jej v novém TXT souboru. Vhodné pro informativní zobrazení obsahu stránky.

Odstranit diakritiku
Z celého textu jsou odstraněna všechna diakritická znaménka.

Editace systémových souborů
Možná znáte program Sysedit, který otevře současně soubory Autoexec, Config, System.INI a Win.INI. Tak tato volba udělá přesně totéž, jsou otevřeny všechny 4 soubory a to se zvýrazněnou syntaxí.
Volba je přístupná pouze v případě, že je povoleno otevírat více souborů současně.

  Možnosti
Tato volba slouží k nastavení parametrů programu a také pro vlastní nastavení barev a písma zvýrazňovačů syntaxe. Podrobněji popsáno ve zvláštní kapitole.

.topic 16
  Hlavní soubor			CTRL+M
označením souboru jako hlavního způsobí, že v externím programu se bude otevírat tento soubor, bez ohledu, který máme aktivní. Představte si např. editaci HTML stránek, kde hlavní označíme INDEX.HTML a editujeme nějakou podstránku. Po otevření v prohlížeči se zobrazí hlavní stránka.
Zrušení označení se provede opětným stiskem CTRL+M nebo výběrem z menu

  Zobrazit/skrýt LOG
LOG je okno, které je na spodní straně obrazovky a obsahuje zprávy kompilátoru o průběhu kompilace. Podrobnější informace o kompilátoru najdete v samostatné kapitole

Další okno			CTRL+Tab
Předchozí okno		SHIFT+CTRL+Tab
umožňuje pohyb mezi okny pomocí klávesnice

  Synchronizovat posuv		CTRL+L
tato možnost je přístupná pouze při práci v rozděleném okně. Při aktivaci je uzamknut vzájemný posuv oken - při pohybu v jednom okně je automaticky posouváno druhé okno

.topic 111
Umožnit otevření více souborů současně
Zde si určujete, zda se má PSPad chovat jako standardní NOTEPAD, tzn. pro každý soubor otevřít novou instanci programu nebo se má pustit pouze jednou a všechny soubory otevírat v jediné instanci programu.
Pokud je povoleno otevírání více souborů a je otevřeno dva a více souborů, objeví se zvláštní lišta s tlačítky, obsahujícími jména souborů. Pomocí těchto tlačítek pak lze přepínat mezi okny (lze využít i CTRL+Tab nebo SHIFT+CTRL+Tab)

Tisk syntaxe barevně
Zde je výchozí nastavení pro tisk na tiskárně. Pokud zvolíte přímo tisk, je nastavení respektováno. Pokud ale budete tisknout přes prohlížení před tiskem, máte možnost toto nastavení ovlivnit přímo v náhledu.

Historie souborů
Přepínač slouží k zapnutí / vypnutí ukládání historie posledních otevřených souborů.
Pokud je vypnuto, program si pamatuje historii v průběhu práce, ale historie nebude uložena při ukončení práce s programem. Vypnutí této volby způsobí i vyřazení ukládání stavu souboru.

Ulkládat rozdělanou práci
Program si při ukončení zapamatuje naposledy otevřené soubory a při příštím spuštění je automaticky otevře. Bližší informace v samostatné kapitole

Rozdělit okna pod sebe
Program umožňuje rozdělit plochu a zobrazit 2 soubory a to buď vedle sebe nebo pod sebou. Tato volba určuje výchozí rozdělení. Alternativní je se stisknutou klávesou CTLR. Podrobněji v samostatné kapitole.

Skrývat záložky souborů
Zde si určujete, zda má být lišta se jmény souborů zobrazena vždy nebo pouze v případě, kdy je otevřen více než jeden soubor

Vytvářet záložní kopie
Pokud je zatrženo, program před uložením souboru vytvoří záložní kopii s příponou, začínající znakem ~. Pokud se tedu soubor jmenuje MujText.TXT bude vytvořena záložní kopie MujText.~TXT

V projektu celé jméno
V projektu je standardně uvedeno pouze jméno souboru. Při zatržení této volby když najedete myší nad soubor, ukáže se celé jméno souboru včetně cesty

Otevírat vše v CP 1250
Při zapnutí této volby budou všechny soubory otevřeny poprvé v kódové stránce Windows 1250.
Zdůrazňuji poprvé, protože program si pamatuje nastavení všech otevíraných souborů a příště je otevře tak, jak byly zavřeny (včetně nastavení CP). Vyjímkou je vypnutí volby ukládat historii, kdy se zapamatování stavu souborů neprovádí.
Použití je pro uživatele, kteří editují většinou v prostředí Windows a vyjímečně přepínají na jinou kódovou stránku

Vstup za konec řádku
Povoluje umístit kurzor i za posledním znakem na řádku

Automatické odsazení
Při aktivovaném automatickém zarovnávání se kurzor po stisku klávesy ENTER nepřesune na začátek dalšího řádku, ale zarovná se pod začátek prvního slova předchozího řádku - automaticky dodržuje odsazení

Skutečné tabulátory
Za normálních okolností PSPad nahrazuje tabulátory (znak #9) příslušným počtem mezer. Má to své výhody. Text vypadá stejně v jakémkoliv editoru, nemusíte přemýšlet, jestli jsou na začátku mezery nebo tabulátor apod. Nevýhodou je větší počet znaků. Místo jednoho znaku je v souboru několik mezer.
Od této chvíle máte možnost zapnout používání skutečných tabulátorů. V souboru znak #9 zůstane a stiskem klávesy TAB se také vloží.
Chtěl bych upozornit na to, že pokud použijete tuto volbu, bude omezena možnost zvětšení a zmenšení odsazení bloku.

Chytré tabulátory
Pokud za normálních okolností stisknete klávesu TAB, kurzor se posune o pevně daný počet znaků. V případě, že povolíte volbu "chytré" tabulátory, po stisku klávesy TAB se bude kurzor zarovnávat podle slov v předchozím řádku.

Šířka tabulátoru
Určuje počet znaků, reprezentujících tabulátor (velikost "odskočení" textu)

Sloupcový blok s ALT
Pokud je zvoleno, je možno rychle přepínat mezi normálním a sloupcovým blokem při označování textu myší pomocí klávesy ALT. Bez držení ALT normální blok, s přidržením ALT sloupcový blok. Pokud volbu vypnete, přepínání je možné pomocí klávesových zkratek SHIFT+CTRL+N C L nebo menu Úpravy / druh bloku

.topic 116

Barva písma
Barva pozadí
Těmito barvami je možno hromadně měnit barvu písma a pozadí ve všech zvýrazňovačích. Pracuje to tak, že po změně barvy se přepíší všechny barvy zvýrazňovačů, které mají barvu písma shodnou s původní barvou.
Např. písmo je černé, změníme jej na zelené. To způsobí změnu písma ve všech atributech všech zvýrazňovačů, které mají barvu písma černou.

Barva aktuálního řádku
Tato barva určuje barvu pozadí aktuálního řádku, pokud je zvoleno jeho zvýrazňování

Pravý okraj - pozice
Určujete pozici svislé čáry - ukazatele pravého okraje, který se zobrazí po zadaném počtu znaků

Barva pravého okraje
Určuje barvu ukazatele pravého okraje. Pokud chcete ukazatel skrýt úplně, nastavte barvu na Window (stejnou jako pozadí editoru)

.topic 114
Přímo otevírat TXT soubory
Tato volba způsobí změnu přiřazení programu pro TXT soubory. Standardně je tato možnost nastavena pro NOTEPAD.EXE. Máte  možnost přepínat mezi PSPad a Notepad.

Integrovat na pravé tlačítko
Zde máte možnost otevírat soubory, které jsou asociované s jiným programem (HTML, SQL). Určitě by se vám nelíbilo, pokud by se toto přiřazení změnilo přímo na PSPad. Nabízí se lepší možnost - původní přiřazení zůstane, na dvojklik myší nebo Enter se HTML soubor otevře v původním přiřazeném programu. Pokud ale stisknete na souboru pravé tlačítko, objeví se možnost PSPad a po potvrzení se soubor v PSPadu také otevře.

Editor HTML v IE
Nastaví PSPad jako výchozí editor HTML v Internet Exploreru

Prohlížeč HTML v IE (Internet Exploreru)
Prohlížeč HTML v OPERA
V prohlížeči je možno na pravé tlačítko zobrazit zdroj HTML stránky. Pokud zaškrtnete tuto možnost, zdroj se otevře v PSPadu
Vyžaduje Internet Explorer verze 5 a vyšší, OPERA browser 5.10 a vyšší.
V případě prohlížeče OPERA je tato volba přístupná pouze v případě, kdy prohlížeč není spuštěn. jinak totiž není možno nastavení zapsat !

Editor pro Win Commander
Nastaví PSPad jako výchozí editor v manažeru Windows Commander.
Tato volba je přístupná pouze v případě, kdy není Windows Commander spuštěn. Jinak totiž není možno nastavení zapsat !

e-Mail
Nastavení poštovního klienta, kterého bude PSPad používat. Nastavení je nezávislé na nastavení výchozího klienta v systému Windows.

.topic 112
Program nabízí uživatelské přizpůsobení zvýrazňovačů. Na několika kartách jdou nastavit barvy a vlastnosti písma, filtry pro otevírání souborů, externí programy, ve kterých je možno editovaný soubor otevřít a konečně i nastavení kompilátoru.

Doporučení pro nastavení barev
Při nastavování barvy pozadí a písma doporučuji použít barvy Window a Font. Tím si zajistíte automatickou změnu barev při globální změně vzhledu Windows.

Nastavení je uloženo v souboru PSPad.INI v následujícím formátu:
8 bytů barva písma, 8 bytů barva pozadí, po jednom bytu pak tučné, kurzíva, podtržené.
Barvy písma se skládají :
2 byty číslo palety (mohou být nulové) a po 2 bytech pak složky R,G,B
Pro druh písma pak platí: 0 není vybrán, 1 je vybrán

Nastavení filtrů pro otevírání souborů

Jméno filtru
je zobrazeno v dialogu otevírání a ukládání souborů

Masky souborů
určují přiřazení souborů jednotlivým zvýrazňovačům. Podle těchto masek pak program pozná jaký zvýrazňovač při otevření souboru použít. Pokud přidělíte několika typům zvýrazňovačů stejnou masku, bude použit první výskyt.

Uživatelské zvýrazňovače
Program umožňuje definovat vlastní zvyrazňovače. Pokud tedy vyberete zvýrazňovač, který umožňuje uživatelskou definici, je toto pole zpřístupněno a vy máte možnost jednoduchým výběrem přiřadit nadefinovaný zvýrazňovač.
V tomto případě se jméno filtru a masky přebírají z uživatelského zvýrazňovače. V případě požadavku na změnu je třeba jít do definice vlastního zvýrazňovače a provést změnu tam.

.topic 113
Pro každý typ souboru je možno přiřadit až 5 externích programů (další jsou ignorovány). Výchozí je program, který je na prvním místě.

Seznam programů
Obsahuje přiřazené programy. K úpravám, přidávání a mazání slouží editační políčka pod seznamem. Při výběru některého řádku je jeho obsah přenesen do políček a je možno jej opravit, mazat, přidat znovu.
Pomocí šipek vedle seznamu je možno měnit pořadí programů v seznamu.
Výchozí program se v editoru spouští klepnutím na ikonu   nebo klávesou F9. Ostatní programy přes malou šipku vedle ikony nebo z menu Soubor.

Jméno
pod tímto jménem najdete program v menu
Program
vlastní jméno programu včetně plně kvalifikované cesty a parametrů
LOG soubor
Pokud je vyplněn LOG soubor, provede se spuštění příkazu, počká se na dokončení a pak se dobrazí obsah výsledného souboru v LOG okně. Dokud nebude spouštěný program ukončen, není možno v práci pokračovat. takže použití je pro nějaké řádkové příkazy apod., u kterých chcete vědět, jak dopadl výsledek.
Pokud není LOG vyplněn, provede se příkaz (třeba zoobrazení souboru v prohlížeči) a lze pokračovat v práci.

Proměnné:
pro jméno souboru, popř. specifikaci výsledného souboru se používají proměnné, které jsou při provádění příkazu nahrazeny odpovídajícím obsahem ze jména souboru. Bližší informace a seznam proměnných v kapitole o nastavení kompilátoru

Přidat
Tlačítko je přístupné po vyplnění jména programu a cesty k programu. Vloží vyplněné údaje do seznamu
Smazat
Tlačítko je přístupné v případě, že je v seznamu vybrána položka a slouží k odstranění vybraného řádku ze seznamu
Opravit
Nahradí vybraný řádek v seznamu obsahem editačních políček
Najít program
S výhodou je možno použít toto tlačítko, které pomocí výběru programu vyplní editační políčka

 Formát příkazu:
jméno_v_menu,"externí_program" parametry §"LOG_soubor"

Příklad nastavení pro HTML:
Internet Explorer,"c:\program files\Internet Explorer\IExplore.EXE" "%File"
Opera,"c:\program files\opera\opera.exe" "%File"

Příklady z praxe pro práci s MS-SQL:

1. jednoduchá náhrada Query Analyzeru
V textu editoru napíšu SQL dotaz a v LOG souboru se mi vrátí výsledek dotazu (jednotlivé řádky výsledné tabulky). Lze pohodlně psát uložené procedury, vytvářet a rušit tabulky apod. Díky možnosti mít více příkazů si můžu nadefinovat řádky pro jednotlivé SQL servery a spouštět příkazy na určeném serveru.

2. konverze dat
Výsledkem je textový soubor, který na SQL server je posíláme přes BCP.
Takže si v PSPadu si otevřu daný soubor, vidím obsah a spuštěním příkazu jej pomocí BCP odešlu na server, v LOGu vidím výsledek. Pokud se nezadařilo, přepnu se do dalšího okna s typem souboru SQL, napíši příkaz na vymazání obsahu tabulky, přepnu se zpět na zdroj pro BCP, provedu úpravy a odešlu na server znovu. A to vše v PSPadu.

.topic 118
V některých případech je nutno soubor nejen otevřít v externím programu, ale také spustit externí kompilátor, počkat na dokončení kompilace, zobrazit obsah okna s výsledky kompilace, popř. výsledný soubor spustit.
V programu se kompilátor spouští pomocí ikony   nebo klávesovou zkratkou Ctrl+F9

Jaký soubor je předán kompilátoru
Program postupuje v následujícím pořadí:
hlavní soubor projektu
hlavní soubor, pokud není použit projekt
aktivní dokument

Kompilátor
Určuje plně kvalifikovanou cestu k programu kompilátoru. Cesta se nedává do uvozovek, ty jsou doplněny automaticky.

Parametry
Parametry slouží pro nastavení vlastností kompilátoru, předání souboru, nastavení cesty pro výsledný LOG soubor atd.
Přehled parametrů určující předaný soubor je uveden ve spodní části okna

LOG soubor
Do logového souboru jsou kompilátorem ukládány zprávy o průběhu a výsledku kompilace. PSPad umí tento soubor zobrazit v okně na spodní části obrazovky. Pokud je toto políčko vyplněno, soubor bude po kompilaci automaticky zobrazen.
Log soubor lze zobrazit z menu Okno

Spustit po kompilaci
Pokud si chcete prohlédnout výsledek vaší snahy, stačí vyplnit toto políčko. Po dokončení kompilace pak bude výsledný program spuštěn. Příklady jednotlivých nastavení najdete v kapitole o práci s PSPadem

Proměnné:
pro jméno souboru, popř. specifikaci výsledného souboru se používají proměnné, které jsou při provádění příkazu nahrazeny odpovídajícím obsahem ze jména souboru.

%File% nahrazuje jméno souboru včetně cesty
%Dir%  nahrazuje cestu k souboru
%Name% nahrazuje jméno souboru bez cesty a přípony
%Ext%  nahrazuje příponu souboru

Příklad:
Je předán soubor : c:\Dokumenty\HTML\Test.HTM
Obsah jednotlivých proměnných:

%File%  c:\Dokumenty\HTML\Test.HTM
%Dir%   c:\Dokumenty\HTML\
%Name%  Test
%Ext%   .HTM

.topic 115
Popis jednotlivých položek dialogu

Jméno
Zde se uvádí jméno typů souborů, pro které je zvýrazňovač určen. Toto jméno se objeví v nabídkách, ve filtru při otevírání souborů, v typu souborů na stavovém řádku atd.

Přípony souborů
Seznam masek, které se uplatní při otevírání souboru a při detekci, který zvýrazňovač se použije. Jednotlivé masky jsou odděleny čárkami

Styl komentářů
Specifikuje jaký druh komentářů je v daném souboru použit. Komentáře lze libovolně kombinovat. Na výběr máte 5 druhů standardních komentářů:

ANSI - komentář začíná znaky (* a končí znaky *)
Pascal - komentář začíná znakem { a končí znakem }
C - komentář začíná znaky /* a končí znaky */
Basic - komentář je uvozen znakem ; a platí do konce řádku
Fox - komentář začíná znakem * (první znak na řádku) nebo znaky && a platí do konce řádku
Speciál - komentář začíná znakem / na začátku řádku nebo za středníkem a platí do konce řádku
Za začátek komentáře jsou dále pokládány znaky //, komentář platí do konce řádku

Řetězce
Slouží k identifikaci řetězců. Na výběr jsou dvě možnosti:

Apostrofy - 'řetězec'
Uvozovky - "řetězec"

Preprocesory
jsou zvláštní řetězce, které slouží pro řízení kompilátoru, větvení programu, podmínečnému překladu apod.

Klíčová slova
Zde je uveden seznam klíčových slov, které se v programu vyskytují.
Podmínky pro klíčová slova:
každé slovo na zvláštním řádku
jsou psány velkými písmeny (editor vám to jinak nedovolí)
obsahují pouze znaky 'A'..'Z' a '_'
jsou seřazeny podle abecedy (to se stane automaticky při uložení definice zvýrazňovače)

Vyhrazená slova
Mají stejný význam jako klíčová slova. Doplněno od verze 3.1.6. Využívá se, pokud chcete barevně rozlišit dvě skupiny slov. Pojmenování "Klíčová" a "Vyhrazená" slouží pouze k rozlišení seznamů, není v tom skryt žádný další význam. použít to můžete třeba pro definici datových typů apod. Pokud se stejné slovo vyskytuje v obou seznamech, je použito slovo z klíčových slov a s tím souvisí i barva syntaxe

Načíst
Provede načtení definice zvýrazňovače. Program předpokládá uložení definice v podadresáři Syntax. Pokud soubor načtete třeba z diskety, při uložení bude provedena kontrola existence (popř. vytvoření) podadresáře a soubor s definicí bude uložen tam.

Uložit
Provede uložení souboru s definicí do podadresáře Syntax. Jméno souboru je totožné se jménem, uvedeným  v políčku Jméno.
V případě, že je zvýrazňovač, se kterým se pracuje aktivní, jsou změny při uložení promítnuty i do všech otevřených souborů, které jej používají.

Jak vytvořit vlastní zvýrazňovač

Definice zvýrazňovače
Vyplnit jméno zvýrazňovače - toto jméno se bude ukazovat v menu
Vyplnit masky souborů. Ty potom poslouží k automatickému přiřazení zvýrazňovače při otevření souboru
Vybrat typ komentářů, který nejlépe odpovídá stylu ve vašem souboru.
Zvolit typ řetězců - řetězec je v apostrofech nebo uvozovkách
Vyplnit seznam klíčových, popř. vyhrazených slov. Ty jsou při uložení setříděny abecedně automaticky, takže si s tím nemusíte dělat starosti.
Pak zvýrazňovač uložíte tlačítkem "Uložit". Od této chvíle bude zvýrazňovač nahrán při startu PSPadu automaticky.

Nastavení barev pro zvýraznění syntaxe
Pokud někomu nevyhovuje standardní nastavení barev, můžete přejít na záložku "Barvy syntaxe" a jednoduchým nastavením barvy písma a pozadí si přebarvíte odpovídající typ. Při nastavování barvy pozadí a písma doporučuji použít barvy Window a Font. Tím si zajistíte automatickou změnu barev při globální změně vzhledu Windows.

Význam některých typů při nastavování barev
Návěští jsou slova začínající znakem @, obsahující písmena bez diakritiky, pomlčku a podtržítko
Symboly jsou znaky, které nejsou písmena (matematické znaky, závorky apod.), kromě znaků, použitých v jiných typech (např. komentářích)
Identifikátory jsou všechny ostatní znaky

Popis struktury definičního souboru:

;komentář, ignorováno
;jméno sekce, povinné
[Settings]
;jméno typu souboru - povinné
Name=OtherCad
;seznam typů souborů - povinná min.jedna položka
FileType=*.prg,*.bpk
;nastavení jednotlivých parametrů. Nepovinné, 1 = Ano, 0 = Ne
ANSIComment=0
PasComment=0
CComment=0
SpecComment=1
BasComment=0
SingleQuote=0
Preprocessors=0
;jméno sekce - povinné
[KeyWords]
;jednotlivá klíčová slova velkými písmeny, seřazená abecedně
ABS=
ACOS=
ATN=
BOOLEAN=
;jméno sekce - povinné
[ReservedWords]
;jednotlivá vyhrazená slova velkými písmeny, seřazená abecedně
BOOLEAN=
INTEGER=
STRING=